------------------------------------------------------------------------
r14309 | gerald | 2005-05-04 14:58:41 -0500 (Wed, 04 May 2005) | 6 lines
Changed paths:
   M /releases/ethereal-0.10.11/epan/dissectors/packet-smb.c

Copy over r14306 from the trunk:

Don't try to feed a null pointer to strncmp().  Fixes bug 158.
Shouldn't the number of fuzz bugs decrease asymptotically at some
point?

------------------------------------------------------------------------
r14308 | gerald | 2005-05-04 14:57:42 -0500 (Wed, 04 May 2005) | 6 lines
Changed paths:
   M /releases/ethereal-0.10.11/epan/dissectors/packet-rtp.c

Copy over r14305 from the trunk:

From Lars Roland:

Make sure a hash table exists before trying to access it.  Fixes bug 105.

------------------------------------------------------------------------
r14307 | gerald | 2005-05-04 14:55:17 -0500 (Wed, 04 May 2005) | 13 lines
Changed paths:
   M /releases/ethereal-0.10.11/epan/dissectors/packet-pres.c

Pull in updates from the trunk.

From r14298:
Back out all of the tvb_ensure_bytes_exist() calls.  They shouldn't be
neccessary any more, and were causing problems.

From r14304:
Don't roll our own buffer-overflow-able string_to_hex() routine
when there's a perfectly good tvb_bytes_to_str() lying around, just
_begging_ to be used.

Fix up white space.

------------------------------------------------------------------------
r14300 | gerald | 2005-05-03 14:39:24 -0500 (Tue, 03 May 2005) | 5 lines
Changed paths:
   M /releases/ethereal-0.10.11/epan/proto.c

Copy over r14299 from the trunk:

In proto_tree_set_string(), don't set a null fvalue or Ethereal will throw
a hissy fit.  Fixes bug 157.

------------------------------------------------------------------------
r14297 | gerald | 2005-05-03 13:40:06 -0500 (Tue, 03 May 2005) | 5 lines
Changed paths:
   M /releases/ethereal-0.10.11/epan/dissectors/packet-tcap.c

Copy over r14289 from the trunk:

Fix two places where we might loop infinitely, including the one found in
bug 155.  Fix a couple of compiler warnings.

------------------------------------------------------------------------
r14296 | gerald | 2005-05-03 13:38:52 -0500 (Tue, 03 May 2005) | 4 lines
Changed paths:
   M /releases/ethereal-0.10.11/gtk/sctp_stat.c

Copy over r14288 from the trunk:

Base the assoc search on port/vtags only.

------------------------------------------------------------------------
r14295 | gerald | 2005-05-03 13:37:56 -0500 (Tue, 03 May 2005) | 8 lines
Changed paths:
   M /releases/ethereal-0.10.11/epan/dissectors/packet-9p.c

Copy over r14287 from the trunk:

From Nils O. Sel?sdal:

- Decodes all the remaining bitfields in 9P
- Tidies up display a bit (using more subtrees)
- Fixes a few fields that are better off displayed as decimal/octal.

------------------------------------------------------------------------
r14294 | gerald | 2005-05-03 13:36:05 -0500 (Tue, 03 May 2005) | 4 lines
Changed paths:
   M /releases/ethereal-0.10.11/tap-httpstat.c
   M /releases/ethereal-0.10.11/tap-sipstat.c

Copy over r14286 from the trunk:

Fix typos in error messages.

------------------------------------------------------------------------
r14293 | gerald | 2005-05-03 13:34:54 -0500 (Tue, 03 May 2005) | 4 lines
Changed paths:
   M /releases/ethereal-0.10.11/epan/dissectors/Makefile.common
   D /releases/ethereal-0.10.11/epan/dissectors/packet-pn-dcp.c
   M /releases/ethereal-0.10.11/plugins/profinet/Makefile.am
   M /releases/ethereal-0.10.11/plugins/profinet/Makefile.nmake
   A /releases/ethereal-0.10.11/plugins/profinet/packet-pn-dcp.c
   M /releases/ethereal-0.10.11/plugins/profinet/profinet.c

Copy over r14285 from the trunk:

move the pn-dcp dissector into the profinet plugin

------------------------------------------------------------------------
r14292 | gerald | 2005-05-03 13:22:38 -0500 (Tue, 03 May 2005) | 12 lines
Changed paths:
   M /releases/ethereal-0.10.11/Makefile.nmake
   M /releases/ethereal-0.10.11/doc/Makefile.nmake
   M /releases/ethereal-0.10.11/plugins/Makefile.nmake

Copy over r14284 from the trunk:

add the new target "install-plugins" to nmake makefile
in the plugins subdirectory. This target will copy all plugins to plugins/$(VERSION), thus (t)ethereal will
find and load the plugins when called from within the source tree.

call this target from the main nmake makefile after
installing other dependencies. call it from the nmake makefile
in the doc subdirectory before calling "tethereal -G".
This way "tethereal -G" will recognize the filterable
fields from the plugins, too.

------------------------------------------------------------------------
r14291 | gerald | 2005-05-03 13:19:56 -0500 (Tue, 03 May 2005) | 5 lines
Changed paths:
   M /releases/ethereal-0.10.11/plugins/megaco/packet-megaco.c

Copy over r14283 from the trunk:

add another lenght check in the megaco dissector.
Fixes bug 150.

------------------------------------------------------------------------
r14290 | gerald | 2005-05-03 13:09:03 -0500 (Tue, 03 May 2005) | 4 lines
Changed paths:
   M /releases/ethereal-0.10.11/Makefile.am

Copy over r14282 from the trunk:

Get profinet compiling on Unix.

------------------------------------------------------------------------
r14281 | gerald | 2005-05-02 16:57:12 -0500 (Mon, 02 May 2005) | 27 lines
Changed paths:
   M /releases/ethereal-0.10.11/epan/dissectors/packet-dcm.c

From Rich Coe:

 - fix memory leak when Assoc packet is processed repeatedly in ethereal

 - removed unused partial packet flag

 - added better support for DICOM VR
     - sequences
     - report actual VR in packet display, if supplied by xfer syntax
     - show that we are not displaying entire tag string with '[...]',
       some tags can hold up to 2^32-1 chars

 - remove my goofy attempt at trying to get access to the fragmented packets
   (anyone have an idea on how to fix this ???)

 - process all the data in the Assoc packet even if display is off

 - limit display of data in Assoc packet to defined size of the data even
   if reported size is larger

 - show the last tag in a packet as [incomplete] if we don't have all the data

 - added framework for reporting DICOM async negotiation (not finished)
   (I'm not aware of an implementation which currently supports this)

 - still need to fix display of continuation packets

------------------------------------------------------------------------
r14279 | gerald | 2005-05-02 16:26:47 -0500 (Mon, 02 May 2005) | 2 lines
Changed paths:
   A /releases/ethereal-0.10.11 (from /trunk:14278)

Create the 0.10.11 release branch.

------------------------------------------------------------------------
r14278 | tuexen | 2005-05-02 15:45:22 -0500 (Mon, 02 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c
   M /trunk/epan/dissectors/packet-sctp.h

Provide an indication to taps if the verification tag is reflected.

------------------------------------------------------------------------
r14277 | gerald | 2005-05-02 15:30:56 -0500 (Mon, 02 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Break out of an infinite loop.  Fixes bug 154.

------------------------------------------------------------------------
r14276 | etxrab | 2005-05-02 15:26:56 -0500 (Mon, 02 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-uma.c

Dissect URLC correctly and add dissection of LCC PDU.
------------------------------------------------------------------------
r14275 | gerald | 2005-05-02 15:05:03 -0500 (Mon, 02 May 2005) | 3 lines
Changed paths:
   M /trunk/plugins/mgcp/packet-mgcp.c

In dissect_mgcp_firstline(), throw an exception if tokenlen > 4.  This fixes
bug 145, but may not be the best solution.

------------------------------------------------------------------------
r14274 | etxrab | 2005-05-02 13:32:57 -0500 (Mon, 02 May 2005) | 1 line
Changed paths:
   M /trunk/asn1/camel/camel.asn
   M /trunk/asn1/camel/camel.cnf
   M /trunk/asn1/camel/packet-camel-template.c

Add dissection of Q.850 cause.
------------------------------------------------------------------------
r14273 | etxrab | 2005-05-02 13:32:00 -0500 (Mon, 02 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-camel.h

Add dissection of q850 cause.
------------------------------------------------------------------------
r14272 | etxrab | 2005-05-02 13:31:15 -0500 (Mon, 02 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-diameter-defs.h

Correct some AVP:s and minor updates from iana.org
------------------------------------------------------------------------
r14271 | etxrab | 2005-05-02 13:30:14 -0500 (Mon, 02 May 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tcap.c

Use the correct parameters in a function call.
------------------------------------------------------------------------
r14270 | gerald | 2005-05-02 11:34:24 -0500 (Mon, 02 May 2005) | 2 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/config.nmake
   M /trunk/configure.in

Prep for the next release.  ETA Wednesday (the 4th).

------------------------------------------------------------------------
r14269 | gerald | 2005-05-02 09:45:43 -0500 (Mon, 02 May 2005) | 22 lines
Changed paths:
   M /trunk/gtk/voip_calls.c

From Cvetan Ivanov:

This patch fixes the slightly broken logic in the loop which searches
for establisted call in isup_calls_packet.

The problem is that (right_pair) is set to false if we see call on the
same CIC as existing conversation, but with different opc/dpc pair:

at this point dpc/opc pair is not checked, so any call with the same
CIC matches:

voip_call.c:851
                                 else{
                                         right_pair = FALSE;
                                 }

and then the correct conversation is never found, because right_pair is
never reset for this packet, which leads to total confusion of the call
tracking logic

Fixed by initializing right_pair = TRUE for every loop iteration 

------------------------------------------------------------------------
r14268 | gerald | 2005-05-02 09:41:07 -0500 (Mon, 02 May 2005) | 25 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-isup.c

From Cvetan Ivanov:

1) dissect_isup_calling_party_number_parameter reported malformed packet
if the calling party number IE contains empty number (possibly with
presentation set to 'number not available')

I've basicly added if(length > 0) around the digits tree dissector,
which may not be obvious from the patch becase of the indenting of the
entire block.

2) As the tap_calling_number is static, if there is call with missing
calling_party_number IE, it gets assigned the calling party number of
the previuos call containing such IE.

fixed by adding tap_calling_number = NULL;
in the beginning of dissect_isup_message, and

tap_rec.calling_number=tap_calling_number?tap_calling_number:g_strdup("");

in the end to avoid segfault

Those things may not happen too often in the telecom world, but happen
all the time with VoIP.


------------------------------------------------------------------------
r14267 | gerald | 2005-05-02 09:24:09 -0500 (Mon, 02 May 2005) | 2 lines
Changed paths:
   M /trunk/configure.in

Add "plugins/profinet/Makefile" to configure.in.

------------------------------------------------------------------------
r14266 | gerald | 2005-05-02 09:12:42 -0500 (Mon, 02 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ndps.c

Check for a few more integer overflows.  Found during fuzz testing.

------------------------------------------------------------------------
r14265 | tuexen | 2005-05-02 09:07:33 -0500 (Mon, 02 May 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-frame.c
   M /trunk/epan/dissectors/packet-mtp2.c
   M /trunk/epan/packet.c
   M /trunk/epan/packet_info.h
   M /trunk/wiretap/libpcap.c
   M /trunk/wiretap/wtap.c
   M /trunk/wiretap/wtap.h

- Add support for libpcap files for MTP2 with a per packet header
  indicating the direction, narrowband/broadband, and interface number.
- Add support to display the direction and interface number.
- Add support to packet-mtp2.c to use the broadband/narrowband indication.

------------------------------------------------------------------------
r14264 | tuexen | 2005-05-02 09:04:25 -0500 (Mon, 02 May 2005) | 2 lines
Changed paths:
   M /trunk/gtk/sctp_byte_graph_dlg.c
   M /trunk/gtk/sctp_stat.c

Fix a bug in counting DATA chunks.

------------------------------------------------------------------------
r14263 | tuexen | 2005-05-02 05:59:51 -0500 (Mon, 02 May 2005) | 2 lines
Changed paths:
   M /trunk/plugins/Makefile.am

Get rid of trailing \

------------------------------------------------------------------------
r14262 | ulfl | 2005-05-02 05:47:12 -0500 (Mon, 02 May 2005) | 1 line
Changed paths:
   M /trunk/plugins/Makefile.am
   M /trunk/plugins/Makefile.nmake

as Thomas Boehne suggested, put each plugin target into it's own line, so private plugins can better keep in track with the official Makefile's
------------------------------------------------------------------------
r14261 | ulfl | 2005-05-02 05:35:37 -0500 (Mon, 02 May 2005) | 1 line
Changed paths:
   M /trunk/plugins/Makefile.am

added the profinet plugin
------------------------------------------------------------------------
r14260 | gerald | 2005-05-01 19:57:44 -0500 (Sun, 01 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

Fix a couple of infinite loops.  Make similar changes elsewhere to keep the
code consistent.

------------------------------------------------------------------------
r14259 | lroland | 2005-05-01 18:03:45 -0500 (Sun, 01 May 2005) | 6 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/doc/Makefile.nmake

Add an install-deps target to the nmake makefiles.
This target will copy all files, mainly dlls, which
are necessary to run (t)ethereal to the source tree.

After copying all necessary dlls to the source tree,
you can run (t)ethereal directly from the source tree.
------------------------------------------------------------------------
r14258 | tuexen | 2005-05-01 16:00:26 -0500 (Sun, 01 May 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c

Fix chunk length handling. Go back to initial concept that
the chunk_length always is the length indicated in the packet header.

------------------------------------------------------------------------
r14257 | tuexen | 2005-05-01 08:59:07 -0500 (Sun, 01 May 2005) | 2 lines
Changed paths:
   M /trunk/gtk/sctp_error_dlg.c

Get rid of some debug code.

------------------------------------------------------------------------
r14256 | tuexen | 2005-05-01 08:55:09 -0500 (Sun, 01 May 2005) | 2 lines
Changed paths:
   M /trunk/gtk/sctp_assoc_analyse.c

Editorial stuff.

------------------------------------------------------------------------
r14255 | tuexen | 2005-05-01 08:53:53 -0500 (Sun, 01 May 2005) | 2 lines
Changed paths:
   M /trunk/gtk/sctp_byte_graph_dlg.c

Editorial stuff

------------------------------------------------------------------------
r14254 | gerald | 2005-05-01 08:52:15 -0500 (Sun, 01 May 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcap.c

Make sure we pass a positive length to proto_item_set_len().

------------------------------------------------------------------------
r14253 | tuexen | 2005-05-01 08:52:05 -0500 (Sun, 01 May 2005) | 2 lines
Changed paths:
   M /trunk/gtk/sctp_chunk_stat_dlg.c

Editorial stuff.

------------------------------------------------------------------------
r14252 | tuexen | 2005-05-01 08:51:07 -0500 (Sun, 01 May 2005) | 2 lines
Changed paths:
   M /trunk/gtk/sctp_graph_dlg.c

Editorial cleanups

------------------------------------------------------------------------
r14251 | tuexen | 2005-05-01 08:50:02 -0500 (Sun, 01 May 2005) | 2 lines
Changed paths:
   M /trunk/gtk/sctp_stat.c

Editorial cleanups.

------------------------------------------------------------------------
r14250 | gerald | 2005-05-01 08:36:00 -0500 (Sun, 01 May 2005) | 2 lines
Changed paths:
   M /trunk/plugins/megaco/packet-megaco.c

Break out of another infinite loop.  Found during fuzz testing.

------------------------------------------------------------------------
r14249 | ulfl | 2005-04-30 15:55:21 -0500 (Sat, 30 Apr 2005) | 1 line
Changed paths:
   M /trunk/plugins/profinet/AUTHORS
   M /trunk/plugins/profinet/COPYING
   M /trunk/plugins/profinet/ChangeLog
   M /trunk/plugins/profinet/INSTALL
   M /trunk/plugins/profinet/Makefile.am
   M /trunk/plugins/profinet/Makefile.nmake
   M /trunk/plugins/profinet/NEWS
   M /trunk/plugins/profinet/moduleinfo.h
   M /trunk/plugins/profinet/profinet.c

set subversion attributes
------------------------------------------------------------------------
r14248 | ulfl | 2005-04-30 15:52:20 -0500 (Sat, 30 Apr 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   D /trunk/epan/dissectors/packet-dcerpc-pn-io.c
   M /trunk/epan/libethereal.def
   M /trunk/plugins/Makefile.nmake
   A /trunk/plugins/profinet
   A /trunk/plugins/profinet/AUTHORS
   A /trunk/plugins/profinet/COPYING
   A /trunk/plugins/profinet/ChangeLog
   A /trunk/plugins/profinet/INSTALL
   A /trunk/plugins/profinet/Makefile.am
   A /trunk/plugins/profinet/Makefile.nmake
   A /trunk/plugins/profinet/NEWS
   A /trunk/plugins/profinet/moduleinfo.h
   A /trunk/plugins/profinet/packet-dcerpc-pn-io.c (from /trunk/epan/dissectors/packet-dcerpc-pn-io.c:14240)
   A /trunk/plugins/profinet/profinet.c

move the profinet related files to a plugin (step by step), to make prototyping and further development easier (at least for me :-)
------------------------------------------------------------------------
r14247 | gerald | 2005-04-30 14:37:03 -0500 (Sat, 30 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcap.c

Fix a buffer overflow found during fuzz testing.

------------------------------------------------------------------------
r14246 | ulfl | 2005-04-30 12:23:33 -0500 (Sat, 30 Apr 2005) | 1 line
Changed paths:
   M /trunk/capture.c
   M /trunk/gtk/main.c
   M /trunk/gtk/proto_draw.c

removed various gcc warnings
------------------------------------------------------------------------
r14245 | gerald | 2005-04-30 11:42:04 -0500 (Sat, 30 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ndps.c

Check for an integer overflow.  Fixes bug 149.

------------------------------------------------------------------------
r14244 | sahlberg | 2005-04-30 11:29:03 -0500 (Sat, 30 Apr 2005) | 5 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-gsm_a.c

From Miklos Szurdi :
update to GSM_A to display the maximum bit rate properly



------------------------------------------------------------------------
r14243 | sahlberg | 2005-04-30 11:14:57 -0500 (Sat, 30 Apr 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iscsi.c

once we know a conversation is iscsi, use conversation_set_dissector()
so that we block any heuristic dissectors from attempring and mistaking this conversation from being it.

In particular:  DCERPC often mistakes iscsi DataOut PDUs for being DCERPC.



------------------------------------------------------------------------
r14242 | gerald | 2005-04-30 11:08:29 -0500 (Sat, 30 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcom.c

Don't call proto_item_set_len() with a negative length.  Found during
fuzz testing.

------------------------------------------------------------------------
r14241 | ulfl | 2005-04-30 10:39:40 -0500 (Sat, 30 Apr 2005) | 1 line
Changed paths:
   M /trunk/capture.c
   M /trunk/capture_loop.c
   M /trunk/capture_sync.c
   M /trunk/capture_sync.h
   M /trunk/fileset.c

(hopefully) removed various gcc warnings
------------------------------------------------------------------------
r14240 | ulfl | 2005-04-30 07:56:40 -0500 (Sat, 30 Apr 2005) | 1 line
Changed paths:
   M /trunk/fileset.c

fix buildbot reported problems (unix related), part 4, more GLib 1.x related
------------------------------------------------------------------------
r14239 | ulfl | 2005-04-30 06:24:52 -0500 (Sat, 30 Apr 2005) | 1 line
Changed paths:
   M /trunk/fileset.c

fix buildbot reported problems (unix related), part 3, don't use GError with GLib 1.x
------------------------------------------------------------------------
r14238 | gerald | 2005-04-29 23:30:32 -0500 (Fri, 29 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ldap.c

Make sure we don't recurse into oblivion.  Fixes bug 147.

------------------------------------------------------------------------
r14237 | gerald | 2005-04-29 23:09:28 -0500 (Fri, 29 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb-pipe.c

Make sure we don't pass an invalid length to proto_tree_add_item().  Found
during fuzz testing.

------------------------------------------------------------------------
r14236 | gerald | 2005-04-29 19:28:05 -0500 (Fri, 29 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isup.c

The previous changes were causing weird exception errors.  Back them out,
and simply check the length of each buffer.

------------------------------------------------------------------------
r14235 | ulfl | 2005-04-29 17:06:47 -0500 (Fri, 29 Apr 2005) | 1 line
Changed paths:
   M /trunk/fileset.c

fix buildbot reported problems (unix related), part 2, add some missing #includes
------------------------------------------------------------------------
r14234 | ulfl | 2005-04-29 15:05:39 -0500 (Fri, 29 Apr 2005) | 1 line
Changed paths:
   M /trunk/fileset.c

fix buildbot reported problems (unix related), part 1
------------------------------------------------------------------------
r14233 | gerald | 2005-04-29 11:39:20 -0500 (Fri, 29 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isup.c

Use GStrings instead of character arrays, so that we don't overflow any
buffers.  Found during fuzz testing.

------------------------------------------------------------------------
r14232 | gerald | 2005-04-29 09:52:45 -0500 (Fri, 29 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-l2tp.c

When printing an error message, make sure we're using a valid tree.  Fixes
bug 144.

------------------------------------------------------------------------
r14231 | ulfl | 2005-04-29 09:51:52 -0500 (Fri, 29 Apr 2005) | 1 line
Changed paths:
   M /trunk/Makefile.common
   M /trunk/file.c
   A /trunk/fileset.c
   A /trunk/fileset.h
   M /trunk/gtk/Makefile.am
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/compat_macros.h
   A /trunk/gtk/fileset_dlg.c
   A /trunk/gtk/fileset_dlg.h
   M /trunk/gtk/help_dlg.c
   M /trunk/gtk/help_dlg.h
   M /trunk/gtk/menu.c
   M /trunk/gtk/menu.h

add a new feature: list the files of a "File Set" (set of files generated by capturing "Multiple Files"/ringbuffer) and jump from one file of it to the next/previous one
------------------------------------------------------------------------
r14230 | gerald | 2005-04-29 09:40:04 -0500 (Fri, 29 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dhcp-failover.c

Make sure we're passing the proper lengths to proto_tree_add_item().  Fixes 
bug 142.

------------------------------------------------------------------------
r14229 | gerald | 2005-04-29 09:25:07 -0500 (Fri, 29 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ncp2222.inc

Break out of another large-but-not-infinite loop.  Fixes bug 143.

------------------------------------------------------------------------
r14228 | sahlberg | 2005-04-29 03:02:44 -0500 (Fri, 29 Apr 2005) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ndmp.c

add the missing MODE field in mover_get_state that was introduced in version 4.


also change bytes_left_to_read to be a INT64 and not a UINT64.
It iss supposed to be an UINT64  but some implementations are buggy and it is easier to make sense of this field one for those buggy clients if it is printed as an INT64.
This change/violation will not affect any correct/valid NDMP implementation or how ethereal decodes its output  unless your entire backup is > 2**63 bytes in size.



------------------------------------------------------------------------
r14227 | gerald | 2005-04-28 22:35:38 -0500 (Thu, 28 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mrdisc.c

Force the query interval and robustness variable to be 2.  Fixes bug 141.

------------------------------------------------------------------------
r14226 | gerald | 2005-04-28 19:16:22 -0500 (Thu, 28 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ncp2222.inc

Break out of a really large (but not infinite) loop.

------------------------------------------------------------------------
r14225 | lroland | 2005-04-28 19:00:42 -0500 (Thu, 28 Apr 2005) | 6 lines
Changed paths:
   M /trunk/plugins/mgcp/moduleinfo.h
   M /trunk/plugins/mgcp/packet-mgcp.c

From Martin Mathieson:

- added support for local connection options
- added missing "Response Acknowledgement (000)" response code
- got rid of "display_dissect_tree" preference and code
- increased version number in moduleinfo.h
------------------------------------------------------------------------
r14224 | gerald | 2005-04-28 17:02:05 -0500 (Thu, 28 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb-logon.c

Don't try to access past the end of an array.  Fixes bug 140.

------------------------------------------------------------------------
r14223 | gerald | 2005-04-28 14:42:56 -0500 (Thu, 28 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-l2tp.c

Break out of an infinite loop.  Fixes bug 138.

------------------------------------------------------------------------
r14222 | gerald | 2005-04-28 14:16:54 -0500 (Thu, 28 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iax2.c

Force IAX_IE_CALLNO to be the proper length.

------------------------------------------------------------------------
r14221 | gerald | 2005-04-28 13:34:02 -0500 (Thu, 28 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb-pipe.c

In dissect_pipe_lanman(), return FALSE if p_tvb is null, no matter what.
Fixes bug 132.

------------------------------------------------------------------------
r14220 | gerald | 2005-04-28 13:07:40 -0500 (Thu, 28 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/tvbuff.c

Use tvb_ensure_bytes_exist() in tvb_get_string() instead of throwing an 
exception ourselves.  Fixes bug 130.

------------------------------------------------------------------------
r14219 | tuexen | 2005-04-28 09:53:41 -0500 (Thu, 28 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sccp.c

Fix buffer overflow which is the cause of BUG 131.

------------------------------------------------------------------------
r14218 | tuexen | 2005-04-28 08:09:19 -0500 (Thu, 28 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-dua.c

Add support for DUA dissection. Now all SIGTRAN protocols are supported...

------------------------------------------------------------------------
r14217 | kukosa | 2005-04-28 04:54:03 -0500 (Thu, 28 Apr 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-ber.h
   M /trunk/epan/dissectors/packet-per.c

Usage of oid_to_str() in PER and BER helpers
------------------------------------------------------------------------
r14216 | kukosa | 2005-04-28 04:51:55 -0500 (Thu, 28 Apr 2005) | 1 line
Changed paths:
   M /trunk/epan/to_str.c
   M /trunk/epan/to_str.h

New oid_to_str() and oid_to_str_buf() functions
------------------------------------------------------------------------
r14215 | sahlberg | 2005-04-28 04:50:03 -0500 (Thu, 28 Apr 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/dcerpc/dssetup
   A /trunk/epan/dissectors/dcerpc/dssetup/Makefile
   A /trunk/epan/dissectors/dcerpc/dssetup/dssetup.cnf
   A /trunk/epan/dissectors/dcerpc/dssetup/dssetup.idl
   A /trunk/epan/dissectors/dcerpc/dssetup/packet-dcerpc-dssetup.c
   A /trunk/epan/dissectors/dcerpc/dssetup/packet-dcerpc-dssetup.h
   A /trunk/epan/dissectors/dcerpc/dssetup/template.c
   A /trunk/epan/dissectors/dcerpc/dssetup/template.h
   M /trunk/epan/dissectors/packet-dcerpc-dssetup.c
   A /trunk/epan/dissectors/packet-dcerpc-dssetup.h

 make dssetup an autogenerated dissector
and cancel my checkins from an hour ago, but they show the evolvement of the dissector at least. :-)



------------------------------------------------------------------------
r14214 | sahlberg | 2005-04-28 03:57:23 -0500 (Thu, 28 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-dcerpc-dssetup.c (from /trunk/epan/dissectors/packet-dcerpc-lsa-ds.c:14213)
   D /trunk/epan/dissectors/packet-dcerpc-lsa-ds.c

rename lsa-ds to the real name of the interface dssetup


------------------------------------------------------------------------
r14213 | sahlberg | 2005-04-28 03:55:17 -0500 (Thu, 28 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-lsa-ds.c

The name of this interface is DSSETUP not LSA-DS
Rename all references to the protocol name to DSSSETUP


------------------------------------------------------------------------
r14212 | gerald | 2005-04-27 23:03:30 -0500 (Wed, 27 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/proto.c

Some dissectors apparently call proto_tree_add_*() with a null tvb.
This makes tvb_ensure_bytes_exist() throw a fit, so just throw an
exception instead.

------------------------------------------------------------------------
r14211 | gerald | 2005-04-27 22:41:05 -0500 (Wed, 27 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_map.c

Don't try to g_strdup() a null value.  Fixes bug 128.

------------------------------------------------------------------------
r14210 | gerald | 2005-04-27 22:31:20 -0500 (Wed, 27 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Check an AVP length.  Fixes bug 128.

------------------------------------------------------------------------
r14209 | gerald | 2005-04-27 22:30:07 -0500 (Wed, 27 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/proto.c

Back out the previous change, and use tvb_ensure_bytes_exist() instead of
throwing an exception ourselves.

------------------------------------------------------------------------
r14208 | ulfl | 2005-04-27 15:52:56 -0500 (Wed, 27 Apr 2005) | 2 lines
Changed paths:
   M /trunk/gtk/capture_dlg.c

fix #117
give a warning, if user never selected an interface before
------------------------------------------------------------------------
r14207 | gerald | 2005-04-27 15:25:37 -0500 (Wed, 27 Apr 2005) | 2 lines
Changed paths:
   M /trunk/plugins/megaco/packet-megaco.c

Fix a buffer overflow.  Fixes bug 96.

------------------------------------------------------------------------
r14206 | ulfl | 2005-04-27 14:56:31 -0500 (Wed, 27 Apr 2005) | 2 lines
Changed paths:
   M /trunk/gtk/drag_and_drop.c

fix bugzilla #110 (http://bugs.ethereal.com/bugzilla/show_bug.cgi?id=110)
don't crash if dropping a file while running a capture or reading a file
------------------------------------------------------------------------
r14205 | ulfl | 2005-04-27 14:43:02 -0500 (Wed, 27 Apr 2005) | 1 line
Changed paths:
   M /trunk/capture.c
   M /trunk/capture.h
   M /trunk/capture_opts.c

add a state member to the capture_opts, and set it according to the capture engine
------------------------------------------------------------------------
r14204 | gerald | 2005-04-27 14:09:55 -0500 (Wed, 27 Apr 2005) | 2 lines
Changed paths:
   M /trunk/plugins/megaco/packet-megaco.c

Break out of an infinite loop.  Fixes bug 95.

------------------------------------------------------------------------
r14203 | gerald | 2005-04-27 11:22:24 -0500 (Wed, 27 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/proto.c

In alloc_field_info, throw a ReportedBoundsError if we're passed an
invalid length.

------------------------------------------------------------------------
r14202 | kukosa | 2005-04-27 10:19:36 -0500 (Wed, 27 Apr 2005) | 1 line
Changed paths:
   M /trunk/epan/libethereal.def

Export of dissect_ber_null() and dissect_per_null()
------------------------------------------------------------------------
r14201 | kukosa | 2005-04-27 09:17:14 -0500 (Wed, 27 Apr 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-ber.h
   M /trunk/epan/dissectors/packet-per.c
   M /trunk/epan/dissectors/packet-per.h

NULL type decoders for PER and BER
------------------------------------------------------------------------
r14200 | sahlberg | 2005-04-27 08:58:54 -0500 (Wed, 27 Apr 2005) | 14 lines
Changed paths:
   M /trunk/gtk/rtp_analysis.c

With the speedup changes to epan/proto.c  the tree will be faked to only contain those fields actually referenced by a filter.
Other nodes will never be created by the tree (sort of auto pruning of the tree).

While this greatly spped up the processing performance of ethereal, it makes it "dangerous" for apps that try to walk the tree directly.


rtp_analysis did not specify the fields "rtp.version" nor " rtp.ssrc" when dissecting the current packet  and as such these fields were no longer part of the tree.
This surprised rtp_analysis and a coredump resulted.


This change will add the field that we walkt the tree to find to the filter string so that they will be there.



------------------------------------------------------------------------
r14199 | sahlberg | 2005-04-27 05:21:12 -0500 (Wed, 27 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ndps.c

fix for bug 107  from Greg Morris


------------------------------------------------------------------------
r14198 | kukosa | 2005-04-27 01:50:04 -0500 (Wed, 27 Apr 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tftp.c

TFTP dissector registering
------------------------------------------------------------------------
r14197 | gerald | 2005-04-26 23:09:15 -0500 (Tue, 26 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ncp.c

Fix a buffer overflow.  Fixes bug 100.

------------------------------------------------------------------------
r14196 | lroland | 2005-04-26 18:38:16 -0500 (Tue, 26 Apr 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Reindent some parts of the sip dissector with tabs, as most parts of the dissector already use tabs. Remove also trailing white spaces.
------------------------------------------------------------------------
r14195 | lroland | 2005-04-26 18:14:35 -0500 (Tue, 26 Apr 2005) | 2 lines
Changed paths:
   M /trunk/plugins/mgcp/packet-mgcp.c
   M /trunk/plugins/mgcp/packet-mgcp.h

Reindent the mgcp dissector with tabs and
remove trailing white spaces.
------------------------------------------------------------------------
r14194 | gerald | 2005-04-26 17:19:38 -0500 (Tue, 26 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ndps.c

Add a bunch of tvb_ensure_bytes_exist() calls.  Fixes bug 106.

------------------------------------------------------------------------
r14193 | gerald | 2005-04-26 17:06:04 -0500 (Tue, 26 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pres.c

Add a slew of tvb_ensure_bytes_exist() calls.  This should probably be
converted to use the new-style ASN.1 code.  Fixes bug 102.

------------------------------------------------------------------------
r14192 | gerald | 2005-04-26 15:55:26 -0500 (Tue, 26 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ncp2222.inc

Add some tvb_ensure_bytes_exist() calls.  Fixes bug 101.

------------------------------------------------------------------------
r14191 | gerald | 2005-04-26 09:08:30 -0500 (Tue, 26 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

Add packet-bacapp.h to the distribution.

------------------------------------------------------------------------
r14190 | sahlberg | 2005-04-26 04:03:30 -0500 (Tue, 26 Apr 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c

fix for bug 91

make the heuristics for detecting connection-less dce/rpc a bit sharper to reduce the number of false positives



------------------------------------------------------------------------
r14189 | sahlberg | 2005-04-26 03:15:45 -0500 (Tue, 26 Apr 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter-defs.h
   M /trunk/epan/dissectors/packet-diameter.c

from anders b

diameter updates to add 3gpp vendor avp


------------------------------------------------------------------------
r14188 | sahlberg | 2005-04-26 03:03:22 -0500 (Tue, 26 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/Makefile.nmake
   M /trunk/epan/dissectors/packet-bacapp.c
   A /trunk/epan/dissectors/packet-bacapp.h

BACAPP updates


------------------------------------------------------------------------
r14187 | guy | 2005-04-25 13:04:28 -0500 (Mon, 25 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-esis.c

Make the offsets of the source address length and source address match
reality.

------------------------------------------------------------------------
r14186 | gerald | 2005-04-25 11:54:18 -0500 (Mon, 25 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rpc.c

Don't try to access a null pointer.  Found during fuzz testing.

------------------------------------------------------------------------
r14185 | gerald | 2005-04-25 11:23:00 -0500 (Mon, 25 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-osi-options.c

Add a tvb_ensure_bytes_exist().  Fixes a bug found during fuzz testing.

------------------------------------------------------------------------
r14184 | gerald | 2005-04-25 10:28:32 -0500 (Mon, 25 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ndps.c

Fix another invalid item length.  Fixes bug 98.

------------------------------------------------------------------------
r14183 | gerald | 2005-04-25 10:21:37 -0500 (Mon, 25 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ndps.c

Don't try to tell proto_tree_add_item() that FT_UINT32s are something other
than 4 bytes.  It throws a fit when you do that.  Fixes bug 97.

------------------------------------------------------------------------
r14182 | gerald | 2005-04-24 22:02:50 -0500 (Sun, 24 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-srvloc.c

Fix an infinite loop.

------------------------------------------------------------------------
r14181 | lroland | 2005-04-24 19:51:11 -0500 (Sun, 24 Apr 2005) | 9 lines
Changed paths:
   M /trunk/plugins/mgcp/packet-mgcp.c
   M /trunk/plugins/mgcp/packet-mgcp.h

From Martin Mathieson:
a first step of cleaning up the mgcp dissector:

- re-indenting/formatting the file as it was tricky to follow
- some code simplification and commenting (more to do)
- losing some unnecessary includes (not needed under linux at least...)
- show duplicate request and response fields in tree (previously hidden)
- improved duplicate response detection
- fix a couple of problems shown by fuzz testing
------------------------------------------------------------------------
r14180 | lroland | 2005-04-24 13:43:42 -0500 (Sun, 24 Apr 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sdp.c

From Alejandro Vaquero:

improve dissection of Dynamic payload 
types used in conversations and the
codec list summary in the "Voip Calls Graph".
------------------------------------------------------------------------
r14179 | lroland | 2005-04-24 12:59:18 -0500 (Sun, 24 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

From Martin Mathieson:

Fix dissection of the SIP Method in the CSeq header.

------------------------------------------------------------------------
r14178 | gerald | 2005-04-23 20:15:53 -0500 (Sat, 23 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dlsw.c

Fix an infinite loop.

------------------------------------------------------------------------
r14177 | gerald | 2005-04-23 19:37:08 -0500 (Sat, 23 Apr 2005) | 2 lines
Changed paths:
   M /trunk/tools/fuzz-test.sh

Fix a quoting bug.

------------------------------------------------------------------------
r14176 | gerald | 2005-04-23 19:36:11 -0500 (Sat, 23 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-icep.c

Don't try to free the same memory twice.

------------------------------------------------------------------------
r14175 | gerald | 2005-04-23 17:13:00 -0500 (Sat, 23 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iax2.c

Force a bunch of protocol items to be the proper length.

------------------------------------------------------------------------
r14174 | gerald | 2005-04-23 16:33:44 -0500 (Sat, 23 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-epm.c

Add a few tvb_ensure_bytes_exist() calls.

------------------------------------------------------------------------
r14173 | gerald | 2005-04-23 16:31:25 -0500 (Sat, 23 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-q931.c

Don't try to free NULL.  Don't overflow a buffer.

------------------------------------------------------------------------
r14172 | gerald | 2005-04-23 15:54:59 -0500 (Sat, 23 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ndps.c

Make sure we don't exhaust system memory.

------------------------------------------------------------------------
r14171 | gerald | 2005-04-23 08:24:57 -0500 (Sat, 23 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-ismp.c

Add more tvb_ensure_bytes_exist() calls.

------------------------------------------------------------------------
r14170 | gerald | 2005-04-22 23:06:45 -0500 (Fri, 22 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c

Add a couple of tvb_ensure_bytes_exist() calls to avoid dissector bug 
exceptions.

------------------------------------------------------------------------
r14169 | gerald | 2005-04-22 16:17:13 -0500 (Fri, 22 Apr 2005) | 3 lines
Changed paths:
   M /trunk/asn1/cmip/packet-cmip-template.c
   M /trunk/asn1/cms/packet-cms-template.c
   M /trunk/asn1/ess/packet-ess-template.c
   M /trunk/asn1/ocsp/packet-ocsp-template.c
   M /trunk/asn1/pkix1explicit/packet-pkix1explicit-template.c
   M /trunk/asn1/pkixcmp/packet-cmp-template.c
   M /trunk/asn1/pkixcrmf/packet-crmf-template.c
   M /trunk/asn1/pkixqualified/packet-pkixqualified-template.c
   M /trunk/asn1/x509af/packet-x509af-template.c
   M /trunk/asn1/x509ce/packet-x509ce-template.c
   M /trunk/asn1/x509if/packet-x509if-template.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-ber.h
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-cmp.c
   M /trunk/epan/dissectors/packet-cms.c
   M /trunk/epan/dissectors/packet-crmf.c
   M /trunk/epan/dissectors/packet-ess.c
   M /trunk/epan/dissectors/packet-ocsp.c
   M /trunk/epan/dissectors/packet-pkix1explicit.c
   M /trunk/epan/dissectors/packet-pkixqualified.c
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/epan/dissectors/packet-x509ce.c
   M /trunk/epan/dissectors/packet-x509if.c

Define a maximum OID string length, and use it in a lot of places.  Fixes a
buffer overflow found while fuzz testing.

------------------------------------------------------------------------
r14168 | gerald | 2005-04-22 13:06:39 -0500 (Fri, 22 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Fix for the previous fix.

------------------------------------------------------------------------
r14167 | gerald | 2005-04-22 10:18:56 -0500 (Fri, 22 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-q2931.c
   M /trunk/epan/dissectors/packet-q931.c
   M /trunk/epan/dissectors/packet-q933.c

Don't pass a null format string to val_to_str().

------------------------------------------------------------------------
r14166 | gerald | 2005-04-22 10:00:45 -0500 (Fri, 22 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-q933.c

Don't pass a null format string to val_to_str().

------------------------------------------------------------------------
r14165 | gerald | 2005-04-22 09:55:27 -0500 (Fri, 22 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Fix an infinite loop in dissect_rsvp_gen_uni().  Fixes bug 90.  Fix up a
previous infinite loop fix.

------------------------------------------------------------------------
r14164 | sahlberg | 2005-04-22 00:00:02 -0500 (Fri, 22 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-portmap.c

prettify portmapper GETPORT requests and responses


------------------------------------------------------------------------
r14163 | gerald | 2005-04-21 23:26:23 -0500 (Thu, 21 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mmse.c

Add some tvb_ensure_bytes_exist() calls.

------------------------------------------------------------------------
r14162 | gerald | 2005-04-21 23:10:44 -0500 (Thu, 21 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Squelch a valgrind warning.

------------------------------------------------------------------------
r14161 | gerald | 2005-04-21 23:07:56 -0500 (Thu, 21 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isis-clv.c

Fix a buffer overflow in isis_dissect_nlpid_clv().

------------------------------------------------------------------------
r14160 | sahlberg | 2005-04-21 16:37:23 -0500 (Thu, 21 Apr 2005) | 6 lines
Changed paths:
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h

from Olivier J
bugfix for IMPLICIT NULL in BER sequences
and gsmmap updates



------------------------------------------------------------------------
r14159 | gerald | 2005-04-21 13:19:38 -0500 (Thu, 21 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ncp2222.inc

In get_string(), throw an exception if the string is too long to
process.  Hopefully this doesn't break anything.  Add a bunch of
tvb_ensure_bytes_exist() calls.  Fixes bugs 48 - 51.

------------------------------------------------------------------------
r14158 | gerald | 2005-04-21 10:11:38 -0500 (Thu, 21 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isl.c

Add a tvb_ensure_bytes_exist().  Fixes bug 68 and its many duplicates.

------------------------------------------------------------------------
r14157 | guy | 2005-04-20 16:55:14 -0500 (Wed, 20 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pim.c

Add a comment asking about the address and mask length fields in
join/prune requests.

------------------------------------------------------------------------
r14156 | gerald | 2005-04-20 16:00:03 -0500 (Wed, 20 Apr 2005) | 5 lines
Changed paths:
   M /trunk/tools/fuzz-test.sh

Allow the locations of tethereal, editcap, and capinfos to be changed.
Limit the amount of VM the process can use (default 500 MB).  If we
can't save a capture in libpcap format, try again with the encapsulation
type set to "ether".

------------------------------------------------------------------------
r14155 | gram | 2005-04-20 15:23:07 -0500 (Wed, 20 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Avoid a buffer overflow in the cseq_method field, a fixed-length character array.

------------------------------------------------------------------------
r14154 | gerald | 2005-04-20 15:07:17 -0500 (Wed, 20 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fc.c

From Dinesh Dutt:  Improve reassembly checking.  Replace a match_strval()
with a val_to_str().

------------------------------------------------------------------------
r14153 | gerald | 2005-04-20 14:52:23 -0500 (Wed, 20 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Fix an infinite loop discovered during fuzz-testing.

------------------------------------------------------------------------
r14152 | gerald | 2005-04-20 14:50:11 -0500 (Wed, 20 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eigrp.c

Remove leftover debugging code.

------------------------------------------------------------------------
r14151 | gerald | 2005-04-20 14:33:03 -0500 (Wed, 20 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eigrp.c

Fix an infinite loop.  Fixes bug 80.

------------------------------------------------------------------------
r14150 | gerald | 2005-04-20 14:16:02 -0500 (Wed, 20 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-srvloc.c

Use proto_tree_add_time() for hf_srvloc_authblkv2_timestamp.  Fixes bug 81.

------------------------------------------------------------------------
r14149 | gerald | 2005-04-20 11:23:22 -0500 (Wed, 20 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

In all functions that require smb_info data, throw an exception if we
can't fetch it.  Fix a few more null pointer dereferences.  Fixes bug 79.

------------------------------------------------------------------------
r14148 | gerald | 2005-04-20 09:37:53 -0500 (Wed, 20 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-camel.h

Add a newline to the end of the file.

------------------------------------------------------------------------
r14147 | kukosa | 2005-04-20 07:39:34 -0500 (Wed, 20 Apr 2005) | 3 lines
Changed paths:
   M /trunk/tools/asn2eth.py

- fix handling SET/SEQUENCE OF Type if type name contains hyphen
- raise warning if type is not renamed to name with the first letter uppercase
- raise warning if field is not renamed to name with the first letter lowercase
------------------------------------------------------------------------
r14146 | sahlberg | 2005-04-20 03:58:49 -0500 (Wed, 20 Apr 2005) | 3 lines
Changed paths:
   M /trunk/gtk/io_stat.c

increase the length of the field field from 30 to 50 characters so that hopefully all long named fields can fit in the textbox for iorapgs/advanced


------------------------------------------------------------------------
r14145 | sahlberg | 2005-04-20 03:35:47 -0500 (Wed, 20 Apr 2005) | 9 lines
Changed paths:
   M /trunk/asn1/cms/cms.cnf
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-ber.h
   M /trunk/epan/dissectors/packet-cms.c
   M /trunk/epan/dissectors/packet-kerberos.c

Add a tree parameter to get_ber_length() so that
IF the length seems bogus, like longer than the reported tvb_length
we add a helpful text item to the tree  and generate a [malformed packet]


change all callers of get_ber_length to the new signature.



------------------------------------------------------------------------
r14144 | ulfl | 2005-04-19 17:32:52 -0500 (Tue, 19 Apr 2005) | 4 lines
Changed paths:
   M /trunk/capture_ui_utils.c
   M /trunk/capture_ui_utils.h
   M /trunk/gtk/capture_dlg.c

fix some minor bugs with the current interface name:

-always show descriptive string in combo box
-correct the initialization, so cancelling the option dialog won't make trouble
------------------------------------------------------------------------
r14143 | gram | 2005-04-19 17:27:05 -0500 (Tue, 19 Apr 2005) | 3 lines
Changed paths:
   M /trunk/autogen.sh

Allow automake and aclocal to share a common version number suffix, since
they come from the same package.

------------------------------------------------------------------------
r14142 | ulfl | 2005-04-19 16:02:01 -0500 (Tue, 19 Apr 2005) | 3 lines
Changed paths:
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_dlg.h
   M /trunk/gtk/capture_if_dlg.c
   M /trunk/gtk/dlg_utils.c
   M /trunk/gtk/file_dlg.c

ask for unsaved file when using the new start capture feature,
ask for unsaved file when really starting the capture, not already when showing the options dialog,
use the start capture icon in the capture options dialog (instead of simply Ok)
------------------------------------------------------------------------
r14141 | gerald | 2005-04-19 15:59:41 -0500 (Tue, 19 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

Fix a pile of format string bugs.

------------------------------------------------------------------------
r14140 | ulfl | 2005-04-19 15:55:27 -0500 (Tue, 19 Apr 2005) | 1 line
Changed paths:
   M /trunk/gtk/main.c

bugfix: don't crash if we have no interface name
------------------------------------------------------------------------
r14139 | gerald | 2005-04-19 15:53:42 -0500 (Tue, 19 Apr 2005) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isl.c

From Peter Johansson:

My patch changes the decoding of the Destination address to conform with the
spec found at http://www.cisco.com/univercd/cc/td/doc/product/lan/trsrb/frames.htm#xtocid75
and adds decoding of user field values 4-7 while updating the description of
user field values 0-3 according to IEEE 802.1D-2004, annex G.


------------------------------------------------------------------------
r14138 | ulfl | 2005-04-19 15:53:22 -0500 (Tue, 19 Apr 2005) | 1 line
Changed paths:
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/toolbar.c

fix labels of the two toggle toolbar buttons
------------------------------------------------------------------------
r14137 | ulfl | 2005-04-19 15:46:35 -0500 (Tue, 19 Apr 2005) | 1 line
Changed paths:
   M /trunk/gtk/proto_draw.c

add keyboard expand/collapse in the tree view (with Left/Right keys) with GTK2
------------------------------------------------------------------------
r14136 | gerald | 2005-04-19 09:17:22 -0500 (Tue, 19 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/reassemble.c

From Peter Johansson: Fix a segmentation fault in the reassembly code.

Fix up the formatting a bit.

------------------------------------------------------------------------
r14135 | sahlberg | 2005-04-19 07:05:50 -0500 (Tue, 19 Apr 2005) | 5 lines
Changed paths:
   M /trunk/doc/README.developer

From Jon R

Update to README.developer for the conversation changes


------------------------------------------------------------------------
r14134 | sahlberg | 2005-04-19 06:59:40 -0500 (Tue, 19 Apr 2005) | 8 lines
Changed paths:
   M /trunk/epan/proto.c

Bugfix for proto_item_get_subtree()

Not all proto_item* fields have a subtree associated to it.
If it doesnt have a subtree  fi  will be NULL,
test fi for NULL before trying to dereference it to avoid a coredump.



------------------------------------------------------------------------
r14133 | sahlberg | 2005-04-19 06:26:09 -0500 (Tue, 19 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-9p.c

From Nils,
updates to the 9p dissector


------------------------------------------------------------------------
r14132 | sahlberg | 2005-04-19 06:20:46 -0500 (Tue, 19 Apr 2005) | 5 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-netsync.c

From Erwin Rol
New protocol: Netsync  used by the Monotone SCM system

 

------------------------------------------------------------------------
r14131 | ulfl | 2005-04-18 19:23:31 -0500 (Mon, 18 Apr 2005) | 1 line
Changed paths:
   M /trunk/gtk/capture_dlg.c

add some comments what all the functions going to do...
------------------------------------------------------------------------
r14130 | ulfl | 2005-04-18 17:05:56 -0500 (Mon, 18 Apr 2005) | 3 lines
Changed paths:
   M /trunk/capture.c
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/gtk/main.c

statusbar changes:
-show the current capture file size, if capturing in real time mode.
-move the packet "Drops" count (if available) from file to packets statusbar part
------------------------------------------------------------------------
r14129 | gerald | 2005-04-18 13:57:37 -0500 (Mon, 18 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb-mailslot.c

From Peter Johansson: Make sure a pointer isn't NULL before we try to use it.

------------------------------------------------------------------------
r14128 | gerald | 2005-04-18 11:29:54 -0500 (Mon, 18 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Detect an infinite loop in dissect_rsvp_ero_rro_subobjects().  Fixes bug 71.

------------------------------------------------------------------------
r14127 | gerald | 2005-04-18 11:16:57 -0500 (Mon, 18 Apr 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-9p.c
   M /trunk/epan/value_string.c

Force the "fmt" argument of val_to_str() to be non-null.  Change the 9P
dissector to use a non-null format.  Fixes bug 70.

Fix the line endings in the 9P dissector, and set its SVN properties.

------------------------------------------------------------------------
r14126 | gerald | 2005-04-18 08:47:20 -0500 (Mon, 18 Apr 2005) | 2 lines
Changed paths:
   M /trunk/tools/Makefile.am

Add fuzz-test.sh to the distribution.

------------------------------------------------------------------------
r14125 | sahlberg | 2005-04-18 05:46:17 -0500 (Mon, 18 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-pktc.c

 some updates from T Anders


------------------------------------------------------------------------
r14124 | sahlberg | 2005-04-18 05:35:40 -0500 (Mon, 18 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pktc.c

From T Anders
packetcable updates


------------------------------------------------------------------------
r14123 | sahlberg | 2005-04-18 05:26:21 -0500 (Mon, 18 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-9p.c

fix small typo   Plan 9   not Plan9


------------------------------------------------------------------------
r14122 | sahlberg | 2005-04-18 05:04:47 -0500 (Mon, 18 Apr 2005) | 6 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-9p.c

From <noselasd@asgaard.homelinux.org>

Support for 9P used by plan 9 from outer space



------------------------------------------------------------------------
r14121 | gerald | 2005-04-17 21:48:31 -0500 (Sun, 17 Apr 2005) | 2 lines
Changed paths:
   M /trunk/plugins/mgcp/packet-mgcp.c

Make sure a pointer isn't null before we dereference it.

------------------------------------------------------------------------
r14120 | gerald | 2005-04-17 21:33:11 -0500 (Sun, 17 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl.c

More gratuitous tvb_ensure_bytes_exist()ing.  One of them fixes bug 67.

------------------------------------------------------------------------
r14119 | gerald | 2005-04-17 20:22:17 -0500 (Sun, 17 Apr 2005) | 3 lines
Changed paths:
   M /trunk/plugins/mgcp/packet-mgcp.c

Keep MGCP from looping in an infinite fashion.  Other parts of the code look
like they might be prone to doing the same.

------------------------------------------------------------------------
r14118 | ulfl | 2005-04-17 17:44:13 -0500 (Sun, 17 Apr 2005) | 1 line
Changed paths:
   M /trunk/capture.c
   M /trunk/file.c

bugfix: show the right filesize after a live capture finished
------------------------------------------------------------------------
r14117 | gerald | 2005-04-17 17:08:22 -0500 (Sun, 17 Apr 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcm.c

Change a bunch of instances where we manually fetch a string and call
proto_tree_add_string() to just use proto_tree_add_item().  Add a note
about a memory leak.  Fixes bug 65.


------------------------------------------------------------------------
r14116 | ulfl | 2005-04-17 16:38:52 -0500 (Sun, 17 Apr 2005) | 1 line
Changed paths:
   M /trunk/Makefile.am
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/menu.c
   M /trunk/gtk/toolbar.c
   A /trunk/image/toolbar/checkbox_16.xpm
   A /trunk/image/toolbar/decode_as_16.xpm

add "Decode As" and "Checkbox" (Enabled Protocols) Icons
------------------------------------------------------------------------
r14115 | gerald | 2005-04-17 15:44:58 -0500 (Sun, 17 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fc.c

Make sure frag_size doesn't underflow, which would make us to try to
allocate a huge amount of memory.  Fixed bug 63.

------------------------------------------------------------------------
r14114 | gerald | 2005-04-17 13:55:42 -0500 (Sun, 17 Apr 2005) | 2 lines
Changed paths:
   M /trunk/tools/fuzz-test.sh

Add a description and usage message.  Handle invalid capture files.

------------------------------------------------------------------------
r14113 | gerald | 2005-04-17 13:28:50 -0500 (Sun, 17 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-giop.c

Add some length checking.

------------------------------------------------------------------------
r14112 | gerald | 2005-04-17 00:14:44 -0500 (Sun, 17 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eth.c

Add a tvb_ensure_bytes_exist().  Fixes bug 62.

------------------------------------------------------------------------
r14111 | gerald | 2005-04-17 00:11:25 -0500 (Sun, 17 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wsp.c

Add even more calls to tvb_ensure_bytes_exist().

------------------------------------------------------------------------
r14110 | gerald | 2005-04-16 20:42:10 -0500 (Sat, 16 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wsp.c

Ham-fistedly drop in a bunch of tvb_ensure_bytes_exist() calls.  One of
them fixes bug 46.

------------------------------------------------------------------------
r14109 | gerald | 2005-04-16 17:25:54 -0500 (Sat, 16 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wsp.c

Add a few tvb_ensure_bytes_exist() calls.  Fixes bug 35.

------------------------------------------------------------------------
r14108 | ulfl | 2005-04-16 17:19:59 -0500 (Sat, 16 Apr 2005) | 1 line
Changed paths:
   M /trunk/gtk/simple_dialog.c

temporarily fix a GTK1.x related bug
------------------------------------------------------------------------
r14107 | gerald | 2005-04-16 16:54:32 -0500 (Sat, 16 Apr 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb-mailslot.c
   M /trunk/epan/dissectors/packet-smb-pipe.c
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/gtk/smb_stat.c
   M /trunk/smb.h
   M /trunk/tap-smbstat.c

Add an extra_info_type field to smb_extra_info_t so that we can make
sure we're not referencing a fid when we think we're referencing an
smb_nt_transact_info_t pointer.  (A fuzzed capture I have triggers
this behavior).


------------------------------------------------------------------------
r14106 | ulfl | 2005-04-16 15:39:18 -0500 (Sat, 16 Apr 2005) | 1 line
Changed paths:
   M /trunk/gtk/toolbar.c

disable some toolbar icons, if no capture packets loaded
------------------------------------------------------------------------
r14105 | ulfl | 2005-04-16 15:08:00 -0500 (Sat, 16 Apr 2005) | 2 lines
Changed paths:
   M /trunk/capture.c
   M /trunk/capture.h
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_dlg.h
   M /trunk/gtk/main.c
   M /trunk/gtk/menu.c
   M /trunk/gtk/toolbar.c

rename capture_clear() to capture_restart()
statusbar update should work now even in capture error case
------------------------------------------------------------------------
r14104 | ulfl | 2005-04-16 14:31:06 -0500 (Sat, 16 Apr 2005) | 1 line
Changed paths:
   M /trunk/capture.c

bugfix: don't crash on error in normal mode capture
------------------------------------------------------------------------
r14103 | ulfl | 2005-04-16 14:29:48 -0500 (Sat, 16 Apr 2005) | 1 line
Changed paths:
   M /trunk/gtk/main.c

fix cf_cb_... callback handling (but it's still not perfect)
------------------------------------------------------------------------
r14102 | ulfl | 2005-04-16 14:24:10 -0500 (Sat, 16 Apr 2005) | 1 line
Changed paths:
   M /trunk/gtk/capture_if_dlg.c

minor refactoring
------------------------------------------------------------------------
r14101 | ulfl | 2005-04-16 14:22:15 -0500 (Sat, 16 Apr 2005) | 1 line
Changed paths:
   M /trunk/capture_loop.c

beautify an error message
------------------------------------------------------------------------
r14100 | ulfl | 2005-04-16 14:18:05 -0500 (Sat, 16 Apr 2005) | 1 line
Changed paths:
   M /trunk/gtk/simple_dialog.c
   M /trunk/simple_dialog.h

prepare for "Don't show this message again" checkboxes in the simple_dialog
------------------------------------------------------------------------
r14099 | ulfl | 2005-04-16 14:16:27 -0500 (Sat, 16 Apr 2005) | 1 line
Changed paths:
   M /trunk/INSTALL

we are in beta, not alpha state any more :-)
------------------------------------------------------------------------
r14098 | ulfl | 2005-04-16 05:53:09 -0500 (Sat, 16 Apr 2005) | 5 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/gtk/ansi_a_stat.c
   M /trunk/gtk/ansi_map_stat.c
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/gsm_a_stat.c
   M /trunk/gtk/gsm_map_stat.c
   M /trunk/gtk/gsm_map_summary.c
   M /trunk/gtk/h225_counter.c
   M /trunk/gtk/isup_stat.c
   M /trunk/gtk/menu.c
   M /trunk/gtk/menu.h
   M /trunk/gtk/mtp3_stat.c
   M /trunk/gtk/mtp3_summary.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/rtp_stream_dlg.c
   M /trunk/gtk/sctp_assoc_analyse.c
   M /trunk/gtk/sctp_chunk_stat.c
   M /trunk/gtk/sctp_error_dlg.c
   M /trunk/gtk/sctp_stat_dlg.c
   M /trunk/gtk/sip_stat.c
   M /trunk/gtk/tap_menu.h
   M /trunk/gtk/toolbar.c
   M /trunk/gtk/toolbar.h
   M /trunk/gtk/voip_calls_dlg.c
   M /trunk/gtk/wsp_stat.c
   A /trunk/image/toolbar/autoscroll_24.xpm
   A /trunk/image/toolbar/colorize_24.xpm
   A /trunk/image/toolbar/conversations_16.xpm
   A /trunk/image/toolbar/endpoints_16.xpm
   A /trunk/image/toolbar/graphs_16.xpm
   A /trunk/image/toolbar/internet_24.xpm
   A /trunk/image/toolbar/resize_columns_24.xpm
   A /trunk/image/toolbar/telephony_16.xpm
   A /trunk/image/toolbar/time_24.xpm
   A /trunk/image/toolbar/web_support_24.xpm
   A /trunk/image/toolbar/wiki_24.xpm

add 12 new toolbar/menu icons
add two toolbar toggle buttons
add icons to various menu items

create new Statistics telephony group and put telephony and alike protocols in it
------------------------------------------------------------------------
r14097 | gerald | 2005-04-15 16:38:42 -0500 (Fri, 15 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/to_str.c

In time_secs_to_str_buf(), handle the case where a large time value makes 
things go wonky.

------------------------------------------------------------------------
r14096 | gerald | 2005-04-15 15:15:03 -0500 (Fri, 15 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/reassemble.c

In fragment_unhash(), free our key data _after_ we remove the key from
the hash table so that fragment_equal() doesn't end up working with
recently-freed data.

------------------------------------------------------------------------
r14095 | gerald | 2005-04-15 11:18:34 -0500 (Fri, 15 Apr 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Add a missing backslash.

------------------------------------------------------------------------
r14094 | gerald | 2005-04-15 10:17:55 -0500 (Fri, 15 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rpc.c

Add a tvb_ensure_bytes_exist().  I'm not sure if this is the correct way
to do this, but it fixes bug 38.

------------------------------------------------------------------------
r14093 | gerald | 2005-04-15 09:26:37 -0500 (Fri, 15 Apr 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Update to reflect recent toolbar changes.

------------------------------------------------------------------------
r14092 | gerald | 2005-04-15 09:18:08 -0500 (Fri, 15 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

In dissect_ber_bitstring32(), make sure tmp_tvb is properly initialized.
Fixes bug 32.

------------------------------------------------------------------------
r14091 | etxrab | 2005-04-15 03:30:23 -0500 (Fri, 15 Apr 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h

From Olivier Jacques:

- Add bearerServiceCodes decoding
- Fixed sendRoutingInfoForSM and reportSM-DeliveryStatus invoke decoding (argument mismatch)

------------------------------------------------------------------------
r14090 | etxrab | 2005-04-15 03:29:50 -0500 (Fri, 15 Apr 2005) | 5 lines
Changed paths:
   M /trunk/asn1/gsmmap/GSMMAP.asn
   M /trunk/asn1/gsmmap/gsmmap.cnf
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c

From Olivier Jacques:

- Add bearerServiceCodes decoding
- Fixed sendRoutingInfoForSM and reportSM-DeliveryStatus invoke decoding (argument mismatch)

------------------------------------------------------------------------
r14089 | etxrab | 2005-04-15 03:22:26 -0500 (Fri, 15 Apr 2005) | 1 line
Changed paths:
   M /trunk/AUTHORS

Add Javier Acuna to the list.
------------------------------------------------------------------------
r14088 | etxrab | 2005-04-15 03:18:48 -0500 (Fri, 15 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-camel.h

From Olivier Jacques:
- Adds callingPartyNumber and CalledPartyNumber parameter dissection uing ISUP dissector
- Adds IMSI and ISDN-AddressString parameter dissection
- A lot of changes in the .asn file to sort it, handle more parameters and error codes - contributed by Javier Acuna [javier.acuna@sixbell.cl]
------------------------------------------------------------------------
r14087 | etxrab | 2005-04-15 03:18:15 -0500 (Fri, 15 Apr 2005) | 5 lines
Changed paths:
   M /trunk/asn1/camel/camel.asn
   M /trunk/asn1/camel/camel.cnf
   M /trunk/asn1/camel/packet-camel-template.c

From Olivier Jacques:
- Adds callingPartyNumber and CalledPartyNumber parameter dissection uing ISUP dissector
- Adds IMSI and ISDN-AddressString parameter dissection
- A lot of changes in the .asn file to sort it, handle more parameters and error codes - contributed by Javier Acuna [javier.acuna@sixbell.cl]

------------------------------------------------------------------------
r14086 | etxrab | 2005-04-15 03:14:44 -0500 (Fri, 15 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isup.c
   M /trunk/epan/dissectors/packet-isup.h

From Jacques Olivier :
Export callingPartyNumber and CalledPartyNumber parameter dissection .
------------------------------------------------------------------------
r14085 | etxrab | 2005-04-15 02:50:19 -0500 (Fri, 15 Apr 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-uma.c

Setr up conversations for RTP and RTCP.
------------------------------------------------------------------------
r14084 | etxrab | 2005-04-15 02:49:31 -0500 (Fri, 15 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a.c

Add message type string to "message type", print Protocol ID short name in Info coulmn.

------------------------------------------------------------------------
r14083 | ulfl | 2005-04-15 02:41:15 -0500 (Fri, 15 Apr 2005) | 5 lines
Changed paths:
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_dlg.h
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/menu.c
   M /trunk/gtk/toolbar.c
   D /trunk/image/toolbar/capture_24.xpm
   A /trunk/image/toolbar/capture_filter_24.xpm
   A /trunk/image/toolbar/capture_interfaces_24.xpm
   A /trunk/image/toolbar/capture_options_24.xpm
   A /trunk/image/toolbar/capture_restart_24.xpm
   A /trunk/image/toolbar/capture_start_24.xpm
   A /trunk/image/toolbar/capture_stop_24.xpm
   D /trunk/image/toolbar/cfilter_24.xpm
   D /trunk/image/toolbar/dfilter_24.xpm
   A /trunk/image/toolbar/display_filter_24.xpm

add some new capture and filter related handcrafted (toolbar) icons

add "new" capture options feature, which will act like old capture start, and change capture start option (for immediately capture)

rename Capture/Clear to Capture/Restart
------------------------------------------------------------------------
r14082 | ulfl | 2005-04-14 15:54:01 -0500 (Thu, 14 Apr 2005) | 1 line
Changed paths:
   M /trunk/gtk/packet_list.c

fix bugzilla #16: make columns resizeable again after doing "Resize Columns"
------------------------------------------------------------------------
r14081 | guy | 2005-04-14 15:37:13 -0500 (Thu, 14 Apr 2005) | 7 lines
Changed paths:
   M /trunk/capture-wpcap.c

Strip off anything after a blank in the PacketLibraryVersion string, as
the string says "3.0 alpha3" in the final release of WinPcap 3.0, and
saying that's "3.0 alpha3" is misleading.

Don't repeatedly fetch the version string from PacketLibraryVersion;
just cache the version we got the first time.

------------------------------------------------------------------------
r14080 | gerald | 2005-04-14 15:16:35 -0500 (Thu, 14 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

In dissect_ber_integer(), generate a warning if the integer length is
invalid instead of throwing an assertion.  Fixes bug 25.

------------------------------------------------------------------------
r14079 | gerald | 2005-04-14 15:01:14 -0500 (Thu, 14 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Add another passel of tvb_ensure_bytes_exist()s.  Fixes bug 24.

------------------------------------------------------------------------
r14078 | gerald | 2005-04-14 14:53:27 -0500 (Thu, 14 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Add a tvb_ensure_bytes_exist() to dissect_ber_octet_string().  Fixes bug
23.

------------------------------------------------------------------------
r14077 | gerald | 2005-04-14 14:43:00 -0500 (Thu, 14 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Add a bunch of tvb_ensure_bytes_exist() calls.  Some of these may not be
neccessary -- someone more knowledgeable about the SMB dissector may want
to check this.  Throw a ReportedBoundsError instead of exiting.

------------------------------------------------------------------------
r14076 | sahlberg | 2005-04-14 04:29:23 -0500 (Thu, 14 Apr 2005) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-gre.c

From packetsteve :

CDMA2000 A10 uses a 4 byte gre key

------------------------------------------------------------------------
r14075 | sahlberg | 2005-04-14 04:20:02 -0500 (Thu, 14 Apr 2005) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/doc/README.tvbuff
   M /trunk/epan/dissectors/packet-bacapp.c
   M /trunk/epan/dissectors/packet-bacnet.c

From Steve Karg
updates to BACNet


------------------------------------------------------------------------
r14074 | sahlberg | 2005-04-14 01:45:32 -0500 (Thu, 14 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

make file name snooping use information from READDIRPLUS replies when building the filehandle to name mapping



------------------------------------------------------------------------
r14073 | gerald | 2005-04-13 23:32:27 -0500 (Wed, 13 Apr 2005) | 6 lines
Changed paths:
   A /trunk/tools/fuzz-test.sh

Add a script based on the "menagerie-fuzz" buildbot test.  Running
"./tools/fuzz-test.sh /path/to/capture/files/*" will iterate over the
specified capture files, using editcap to introduce errors and tethereal
to check for bugs.  It will do this until tethereal exits abnormally or
a dissector bug is encountered.

------------------------------------------------------------------------
r14072 | gerald | 2005-04-13 23:26:00 -0500 (Wed, 13 Apr 2005) | 3 lines
Changed paths:
   M /trunk/asn1/h245/packet-h245-template.c
   M /trunk/epan/dissectors/packet-h245.c

In dissect_h245_OpenLogicalChannelCodec(), make sure codec_type exists before
trying to access its contents.

------------------------------------------------------------------------
r14071 | sahlberg | 2005-04-13 22:41:31 -0500 (Wed, 13 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ndmp.c

fix bug in parsing of NDMP_DATA_CONNECT messages, it is a ndmp_address passed to this function   not an ndmp_address_type.



------------------------------------------------------------------------
r14070 | lroland | 2005-04-13 19:26:11 -0500 (Wed, 13 Apr 2005) | 2 lines
Changed paths:
   M /trunk/gtk/voip_calls.c

From Francisco Alcoba:
fix the H323 and SIP part of the voip call analysis for the new tap ordering.
------------------------------------------------------------------------
r14069 | lroland | 2005-04-13 18:12:41 -0500 (Wed, 13 Apr 2005) | 3 lines
Changed paths:
   M /trunk/gtk/graph_analysis.c
   M /trunk/gtk/graph_analysis.h

From Francisco Alcoba:
- change the "write to file" to "save as"
- avoid the segmentation fault reported by Ruud Linders in another mail
------------------------------------------------------------------------
r14068 | lroland | 2005-04-13 18:05:41 -0500 (Wed, 13 Apr 2005) | 1 line
Changed paths:
   M /trunk/tap-sctpchunkstat.c

Remove redundant definition of _need_var_import_
------------------------------------------------------------------------
r14067 | gerald | 2005-04-13 17:04:50 -0500 (Wed, 13 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb-mailslot.c

Fix a bug introduced by my previous checkin.

------------------------------------------------------------------------
r14066 | gerald | 2005-04-13 16:56:00 -0500 (Wed, 13 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb-mailslot.c

Check for COL_INFO before trying to modify it.

------------------------------------------------------------------------
r14065 | gerald | 2005-04-13 16:20:23 -0500 (Wed, 13 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

In dissect_ber_octet_string_wcb(), make sure out_tvb is non-NULL before
trying to use it so that we don't throw an assertion.  Fixes bug 22.
Do the same thing in dissect_ber_GeneralString().

------------------------------------------------------------------------
r14064 | gerald | 2005-04-13 15:59:39 -0500 (Wed, 13 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-rx.c

Add a couple of tvb_ensure_bytes_exist() calls to fix bug 12.

------------------------------------------------------------------------
r14063 | ulfl | 2005-04-12 18:48:47 -0500 (Tue, 12 Apr 2005) | 1 line
Changed paths:
   M /trunk/epan/filesystem.c

another try to fix the unix build
------------------------------------------------------------------------
r14062 | ulfl | 2005-04-12 18:12:37 -0500 (Tue, 12 Apr 2005) | 1 line
Changed paths:
   M /trunk/epan/filesystem.c

bugfix for unix builds, remove leftover things from function move
------------------------------------------------------------------------
r14061 | ulfl | 2005-04-12 17:55:40 -0500 (Tue, 12 Apr 2005) | 1 line
Changed paths:
   M /trunk/Makefile.am
   M /trunk/gtk/toolbar.c
   A /trunk/image/toolbar/stock_clear_24.xpm

add clear toolbar icon (from GTK stock icons)
------------------------------------------------------------------------
r14060 | ulfl | 2005-04-12 16:56:27 -0500 (Tue, 12 Apr 2005) | 1 line
Changed paths:
   M /trunk/capture.c

don't display "No packets captured" dialog, when using the new clear feature
------------------------------------------------------------------------
r14059 | ulfl | 2005-04-12 16:44:55 -0500 (Tue, 12 Apr 2005) | 6 lines
Changed paths:
   M /trunk/capture.c
   M /trunk/capture.h
   M /trunk/capture_loop.c
   M /trunk/capture_opts.c
   M /trunk/capture_sync.c
   M /trunk/capture_sync.h
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_dlg.h
   M /trunk/gtk/menu.c
   M /trunk/gtk/toolbar.c

capture engine: 
add a new feature to clear the currently captured packets and restart the capture with the previous parameters

various code cleanup and minor bugfixes

Win32: use millisecond resolution in capture_loop, to smooth screen update a bit (500ms instead of 1000ms)
------------------------------------------------------------------------
r14058 | ulfl | 2005-04-12 16:24:30 -0500 (Tue, 12 Apr 2005) | 1 line
Changed paths:
   M /trunk/gtk/file_dlg.c

Save As: ask user if he wants to overwrite an already existing file
------------------------------------------------------------------------
r14057 | ulfl | 2005-04-12 16:12:19 -0500 (Tue, 12 Apr 2005) | 1 line
Changed paths:
   M /trunk/epan/filesystem.c
   M /trunk/epan/filesystem.h
   M /trunk/epan/libethereal.def
   M /trunk/file.c

add functions file_exists and file_identical to filesystem.c (coming from file.c)
------------------------------------------------------------------------
r14056 | ulfl | 2005-04-12 16:07:48 -0500 (Tue, 12 Apr 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

[CHECKSUM INCORRECT] -> [TCP CHECKSUM INCORRECT]
------------------------------------------------------------------------
r14055 | sahlberg | 2005-04-12 14:59:08 -0500 (Tue, 12 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/to_str.c
   M /trunk/epan/to_str.h

change time_secs_to_str() and time_msecs_to_str() to take a signed integer as parameter so we can handle negtive times



------------------------------------------------------------------------
r14054 | ulfl | 2005-04-11 19:54:52 -0500 (Mon, 11 Apr 2005) | 7 lines
Changed paths:
   M /trunk/capture.c
   M /trunk/capture_loop.c
   M /trunk/capture_sync.c
   M /trunk/file.c
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/main.c

it should now be possible to use "Update packets in real time" even if used with one of the "Multiple files" option.

If this is used together with an option where input files changes too fast (e.g. new file every second), capturing will be (hopefully) stopped.

I've replaced the former capture pipe message format into a somewhat more general format to remove a lot of confusion.


------------------------------------------------------------------------
r14053 | ulfl | 2005-04-11 13:57:19 -0500 (Mon, 11 Apr 2005) | 9 lines
Changed paths:
   M /trunk/capture.c
   M /trunk/capture_sync.c
   M /trunk/capture_sync.h
   M /trunk/file.h
   M /trunk/gtk/main.c

various capture code cleanup and fixes: 
display filename in statusbar while capturing
print_usage banner fixed
cf_cb_live_capture_prepare no longer needed
rename sync_pipe_do_capture -> sync_pipe_start
bugfix: sync_pipe_input_wait_for_start replaced by former implementation
fix cleanup of old file in capture_input_new_file
fix a tempfile detection bug (named file showed up as tempfile after capture)

------------------------------------------------------------------------
r14052 | ulfl | 2005-04-11 13:39:31 -0500 (Mon, 11 Apr 2005) | 3 lines
Changed paths:
   M /trunk/capture_loop.c

fix some error handling

fflush new output file (to have at least the pcap header on disk) before sending the corresponding message to the capture parent
------------------------------------------------------------------------
r14051 | sahlberg | 2005-04-11 03:43:51 -0500 (Mon, 11 Apr 2005) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eth.c
   M /trunk/epan/dissectors/packet-frame.c
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h

Major speed improvement for filtering and dissection.

It should not dump core as far as all my tests are concerned and Menu_Statistics/ProtocolHierStats work

It needs more testing and there might still be cases where it will crash that will need to be fixed  but I feel it will be worth it since it will decrease the time to filter very large capture files dramatically.

Real significant performance boost for very large captures.


(If we cant fix all the problems we can just revert this patch)



------------------------------------------------------------------------
r14050 | gerald | 2005-04-10 20:57:00 -0500 (Sun, 10 Apr 2005) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

Add a note about testing to the "Robustness" section.

------------------------------------------------------------------------
r14049 | ulfl | 2005-04-10 19:10:50 -0500 (Sun, 10 Apr 2005) | 1 line
Changed paths:
   M /trunk/doc/ethereal.pod

add some missing menu items, describe changes in the -b ring buffer command line parameter.
------------------------------------------------------------------------
r14048 | gerald | 2005-04-10 18:17:05 -0500 (Sun, 10 Apr 2005) | 2 lines
Changed paths:
   M /trunk/editcap.c

Remove debugging printf()s.

------------------------------------------------------------------------
r14047 | ulfl | 2005-04-10 18:13:35 -0500 (Sun, 10 Apr 2005) | 1 line
Changed paths:
   M /trunk/gtk/menu.c

disable /View/Resize Columns menu item, if no packets available
------------------------------------------------------------------------
r14046 | gerald | 2005-04-10 18:12:48 -0500 (Sun, 10 Apr 2005) | 3 lines
Changed paths:
   M /trunk/doc/editcap.pod
   M /trunk/editcap.c

Add an option to Editcap that adds various types of errors to the capture 
file.

------------------------------------------------------------------------
r14045 | ulfl | 2005-04-10 16:03:31 -0500 (Sun, 10 Apr 2005) | 1 line
Changed paths:
   M /trunk/capture.c
   M /trunk/gtk/main.c

bugfix: call to cf_cb_live_capture_..._started with correct parameter
------------------------------------------------------------------------
r14044 | ulfl | 2005-04-10 14:36:56 -0500 (Sun, 10 Apr 2005) | 1 line
Changed paths:
   M /trunk/capture.c
   M /trunk/file.h
   M /trunk/gtk/main.c

fix statusbar messages by splitting into update and fixed messages between capture and main
------------------------------------------------------------------------
r14043 | ulfl | 2005-04-10 12:36:36 -0500 (Sun, 10 Apr 2005) | 1 line
Changed paths:
   M /trunk/capture.c

bugfix: hide panes if a non "Update" capture had no packets captured (hopefully it's working correct now...)
------------------------------------------------------------------------
r14042 | ulfl | 2005-04-10 12:18:45 -0500 (Sun, 10 Apr 2005) | 1 line
Changed paths:
   M /trunk/capture.c

bugfix: call cf_cb_live_capture_finished *if* some packets were captured
------------------------------------------------------------------------
r14041 | ulfl | 2005-04-10 12:08:32 -0500 (Sun, 10 Apr 2005) | 1 line
Changed paths:
   M /trunk/capture_loop.c

fix a typo
------------------------------------------------------------------------
r14040 | ulfl | 2005-04-10 11:43:22 -0500 (Sun, 10 Apr 2005) | 2 lines
Changed paths:
   M /trunk/capture.h
   M /trunk/capture_loop.c
   M /trunk/capture_opts.c
   M /trunk/capture_sync.c

Win32 only bugfix: as using TerminateProcess is the brute force way and sometimes clipped packets in the middle, now using a pipe called signal_pipe from the parent to the child for this.
On unix we're using kill() for this, which simply signals the child, but this isn't available on win32.
------------------------------------------------------------------------
r14039 | ulfl | 2005-04-10 10:35:41 -0500 (Sun, 10 Apr 2005) | 1 line
Changed paths:
   M /trunk/capture.c

bugfix: when no packets were captured, don't call cf_cb_live_capture_finished after closing the capture file
------------------------------------------------------------------------
r14038 | ulfl | 2005-04-10 09:29:12 -0500 (Sun, 10 Apr 2005) | 1 line
Changed paths:
   M /trunk/capture_sync.c

refactoring of the capture startup (while the capture parent waits for the child to start)
------------------------------------------------------------------------
r14037 | ulfl | 2005-04-10 08:43:07 -0500 (Sun, 10 Apr 2005) | 1 line
Changed paths:
   M /trunk/packaging/nsis/ethereal.nsi

fix descriptive texts, so they fit into the window
------------------------------------------------------------------------
r14036 | guy | 2005-04-10 03:55:56 -0500 (Sun, 10 Apr 2005) | 2 lines
Changed paths:
   M /trunk/capture.c

Clean up indentation.

------------------------------------------------------------------------
r14035 | guy | 2005-04-10 03:51:46 -0500 (Sun, 10 Apr 2005) | 4 lines
Changed paths:
   M /trunk/capture_sync.c

Clean up white space, and tweak a comment slightly ("message" in the
error message case referred to the error message text, not the message
on the pipe).

------------------------------------------------------------------------
r14034 | guy | 2005-04-10 03:31:27 -0500 (Sun, 10 Apr 2005) | 2 lines
Changed paths:
   M /trunk/capture_loop.c

Fix indentation.

------------------------------------------------------------------------
r14033 | guy | 2005-04-10 03:28:08 -0500 (Sun, 10 Apr 2005) | 5 lines
Changed paths:
   M /trunk/doc/ethereal-filter.pod.template

Make it slightly clearer that the bitwise AND operator evaluates to a
Boolean value that's true if any of the bits in question are set and
false if none of them are, not to an integer or slice value with the
only the bits set in both values set.

------------------------------------------------------------------------
r14032 | sahlberg | 2005-04-08 20:28:23 -0500 (Fri, 08 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kpasswd.c

KRB_ERROR can be returned and it is not encapsulated


------------------------------------------------------------------------
r14031 | gerald | 2005-04-08 15:28:24 -0500 (Fri, 08 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wsp.c

Fix brokenness from previous patch.

------------------------------------------------------------------------
r14030 | gerald | 2005-04-08 14:14:05 -0500 (Fri, 08 Apr 2005) | 2 lines
Changed paths:
   M /trunk/plugins/megaco/packet-megaco.c

Add a length check.

------------------------------------------------------------------------
r14029 | gerald | 2005-04-08 14:09:46 -0500 (Fri, 08 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wsp.c

Add a length check, fix up some comments.

------------------------------------------------------------------------
r14028 | sahlberg | 2005-04-08 06:25:18 -0500 (Fri, 08 Apr 2005) | 5 lines
Changed paths:
   M /trunk/plugins/mgcp/packet-mgcp.c

From Martin M
updates to MGCP
checked in per Anders B request   hope it compiles


------------------------------------------------------------------------
r14027 | sahlberg | 2005-04-08 05:28:44 -0500 (Fri, 08 Apr 2005) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-fcels.c

From Neil Kettle
Fix two potential buffer overflow bugs in fc els


------------------------------------------------------------------------
r14026 | sahlberg | 2005-04-07 07:00:03 -0500 (Thu, 07 Apr 2005) | 9 lines
Changed paths:
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/sctp_assoc_analyse.c
   M /trunk/proto_hier_stats.c

From Didier:

optimization for COLUMNS to make ethereal faster when filtering

optimization to make the slow find_protocol_by_id() fast.
(idea from Didier, implementation modified by me to be less intrusive)



------------------------------------------------------------------------
r14025 | sahlberg | 2005-04-07 05:04:50 -0500 (Thu, 07 Apr 2005) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-nettl.c
   M /trunk/epan/dissectors/packet-pagp.c
   M /trunk/wiretap/AUTHORS
   M /trunk/wiretap/nettl.c
   M /trunk/wiretap/nettl.h

updating Mark C Browns information


------------------------------------------------------------------------
r14024 | sahlberg | 2005-04-07 04:44:58 -0500 (Thu, 07 Apr 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

make the ip ip field we use as the reassembly key a bit more
"unique" by mixing in the source and destination address.



------------------------------------------------------------------------
r14023 | sahlberg | 2005-04-07 04:14:35 -0500 (Thu, 07 Apr 2005) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/gtk/graph_analysis.c
   M /trunk/gtk/graph_analysis.h

From Francisco Alcoba
Very cool ASCII art version of viop graphs


------------------------------------------------------------------------
r14022 | sahlberg | 2005-04-07 03:32:49 -0500 (Thu, 07 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ncp2222.inc

From Greg Morris
Fix the breakage from my previous patch


------------------------------------------------------------------------
r14021 | ulfl | 2005-04-06 16:28:02 -0500 (Wed, 06 Apr 2005) | 1 line
Changed paths:
   M /trunk/AUTHORS

add Ilya Konstantinov
------------------------------------------------------------------------
r14020 | ulfl | 2005-04-06 16:24:00 -0500 (Wed, 06 Apr 2005) | 1 line
Changed paths:
   M /trunk/gtk/drag_and_drop.c

from Ilya Konstantinov: fixed a bug as DND wasn't working with GNOME, I've also added a comment how GNOME handles these things
------------------------------------------------------------------------
r14019 | sahlberg | 2005-04-05 15:20:21 -0500 (Tue, 05 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

use proto_item_appent_text() instead of proto_item_append_string() since the hf field is not neccessarily a FT_STRING value always.



------------------------------------------------------------------------
r14018 | gerald | 2005-04-05 09:40:59 -0500 (Tue, 05 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wsp.c

Try not to call proto_tree_add_text() with negative lengths in error messages.

------------------------------------------------------------------------
r14017 | sahlberg | 2005-04-05 03:14:58 -0500 (Tue, 05 Apr 2005) | 5 lines
Changed paths:
   M /trunk/gtk/voip_calls.c

From Francisco Alcoba
patch for viop analysis to fix the breakage from the tap reordering patch



------------------------------------------------------------------------
r14016 | gerald | 2005-04-04 16:44:53 -0500 (Mon, 04 Apr 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-distcc.c

Add length checks so that we don't overflow buffers.

------------------------------------------------------------------------
r14015 | sahlberg | 2005-04-04 15:12:18 -0500 (Mon, 04 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtp.c

From Lars Ruoff
Make it possible to tap 4 PDUs from one frame


------------------------------------------------------------------------
r14014 | gerald | 2005-04-04 13:10:42 -0500 (Mon, 04 Apr 2005) | 6 lines
Changed paths:
   M /trunk/epan/proto.c

Don't generate a "dissector bug" warning in cases where a dissector calls

    proto_tree_add_*(tree, tvb, offset, 0, ...);

and "offset" is greater than the length remaining in the tvbuff.

------------------------------------------------------------------------
r14013 | sahlberg | 2005-04-04 02:40:07 -0500 (Mon, 04 Apr 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isup.c
   M /trunk/epan/dissectors/packet-q931.c
   M /trunk/plugins/ciscosm/packet-sm.c

From Cvetan Ivanov

Updates to Q931, SM and ISUP


------------------------------------------------------------------------
r14012 | sahlberg | 2005-04-04 00:56:57 -0500 (Mon, 04 Apr 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ndmp.c

the definition of tcp address structure changed between version 3 and version 4

make version 4 dissect tcp addr structure properly



------------------------------------------------------------------------
r14011 | sahlberg | 2005-04-04 00:10:45 -0500 (Mon, 04 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iax2.c
   M /trunk/epan/dissectors/packet-iax2.h

From Kenny Shumard
Update for IAX2


------------------------------------------------------------------------
r14010 | sahlberg | 2005-04-03 23:51:47 -0500 (Sun, 03 Apr 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

From Martin Mathieson

small update for SIP request/response matching.



------------------------------------------------------------------------
r14009 | sahlberg | 2005-04-03 23:14:41 -0500 (Sun, 03 Apr 2005) | 15 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ncp2222.inc

the netware dissector is the only dissector that accesses fvalue_ functions directly.

this made it crash for some packets when the filter speedup patch was enabled, since some of these finfo nodes did no longer exist.

as far as i can tell the only other instances of fvalue_ usage is from some tap based functions but all those do take care to make sure that the fields being accessed are all part of a filter, and will thus never be optimized away.

The patch does two things

1, refactor the code but do not change the logic to reduce the number of places where the external fvalue_ functions are called from.

2, add code to force the tree to be visible (and thus change the code) so that the speedup patch will not optimize these fiuelds away.




------------------------------------------------------------------------
r14008 | gerald | 2005-04-03 22:01:40 -0500 (Sun, 03 Apr 2005) | 2 lines
Changed paths:
   M /trunk/plugins/rdm/packet-rdm.c

Add a couple of length checks.

------------------------------------------------------------------------
r14007 | guy | 2005-04-03 07:05:05 -0500 (Sun, 03 Apr 2005) | 3 lines
Changed paths:
   M /trunk/wiretap/wtap.c

Fix up the table of encapsulation type strings to match the new set of
encapsulation types.

------------------------------------------------------------------------
r14006 | guy | 2005-04-03 06:00:49 -0500 (Sun, 03 Apr 2005) | 3 lines
Changed paths:
   M /trunk/editcap.c
   M /trunk/wiretap/ascend.c
   M /trunk/wiretap/cosine.c
   M /trunk/wiretap/csids.c
   M /trunk/wiretap/dbs-etherwatch.c
   M /trunk/wiretap/eyesdn.c
   M /trunk/wiretap/pppdump.c
   M /trunk/wiretap/toshiba.c
   M /trunk/wiretap/vms.c
   M /trunk/wiretap/wtap.c
   M /trunk/wiretap/wtap.def
   M /trunk/wiretap/wtap.h

Make editcap use wtap_read(); that eliminates the last user of
wtap_loop(), so eliminate wtap_loop().

------------------------------------------------------------------------
r14005 | etxrab | 2005-04-02 12:51:38 -0600 (Sat, 02 Apr 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-inap.c
   M /trunk/epan/dissectors/packet-inap.h

From Tim Endean:
 1) Return errors.
 2) Return rejects.
 
 Numerous other bugs fixed.
 
------------------------------------------------------------------------
r14004 | etxrab | 2005-04-02 12:50:57 -0600 (Sat, 02 Apr 2005) | 7 lines
Changed paths:
   M /trunk/asn1/inap/inap.asn
   M /trunk/asn1/inap/packet-inap-template.c

From Tim Endean:
 1) Return errors.
 2) Return rejects.
 
 Numerous other bugs fixed.
 

------------------------------------------------------------------------
r14003 | sahlberg | 2005-04-01 15:23:40 -0600 (Fri, 01 Apr 2005) | 4 lines
Changed paths:
   M /trunk/README.win32
   M /trunk/epan/dissectors/packet-gtp.c

from Jeremy Jouglet
some GTP updates  and some tips for those using cygwin


------------------------------------------------------------------------
r14002 | sahlberg | 2005-04-01 15:04:55 -0600 (Fri, 01 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-chdlc.c

update for padbyte on old juniper boxens


------------------------------------------------------------------------
r14001 | sahlberg | 2005-04-01 14:55:33 -0600 (Fri, 01 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/tap.c

from Lars R
TAP order of caller update


------------------------------------------------------------------------
r14000 | sahlberg | 2005-04-01 05:12:32 -0600 (Fri, 01 Apr 2005) | 3 lines
Changed paths:
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h

tiny bugfix for gsmmap


------------------------------------------------------------------------
r13999 | sahlberg | 2005-04-01 04:17:05 -0600 (Fri, 01 Apr 2005) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/README.hpux
   M /trunk/epan/column-utils.c
   M /trunk/epan/column.c
   M /trunk/epan/column_info.h
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-icmpv6.c
   M /trunk/epan/dissectors/packet-ip.c
   A /trunk/epan/dissectors/packet-nettl.c
   M /trunk/wiretap/libpcap.c
   M /trunk/wiretap/nettl.c
   M /trunk/wiretap/nettl.h
   M /trunk/wiretap/wtap.h

From Mark C Brown   NETTL updates


------------------------------------------------------------------------
r13998 | guy | 2005-04-01 04:04:32 -0600 (Fri, 01 Apr 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aruba-adp.c

Give it an RCS ID.

Set the svn:keywords and svn:eol-style properties to the standard values.

------------------------------------------------------------------------
r13997 | sahlberg | 2005-04-01 03:48:34 -0600 (Fri, 01 Apr 2005) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-aruba-adp.c

From Giles Scott
New protocol  ARUBA ADP


------------------------------------------------------------------------
r13996 | guy | 2005-04-01 03:43:19 -0600 (Fri, 01 Apr 2005) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-hpsw.c

From Charlie Lenahan: support for some HP switch protocol.

Fix some damage to the AUTHORS file.

------------------------------------------------------------------------
r13995 | guy | 2005-04-01 03:20:39 -0600 (Fri, 01 Apr 2005) | 6 lines
Changed paths:
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/epan/dissectors/packet-camel.c

Get rid of an unused variable.

Include "packet-gsm_map.h", not "packet-gsm_map.c".

Check in the regenerated CAMEL dissector.

------------------------------------------------------------------------
r13994 | guy | 2005-04-01 03:19:29 -0600 (Fri, 01 Apr 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtp.c

"get_conv_info()" doesn't use the tvbuff passed to it, so don't pass it
one.

------------------------------------------------------------------------
r13993 | guy | 2005-04-01 03:08:27 -0600 (Fri, 01 Apr 2005) | 18 lines
Changed paths:
   M /trunk/epan/libethereal.def
   M /trunk/epan/tap.c
   M /trunk/epan/tap.h
   M /trunk/gtk/ansi_a_stat.c
   M /trunk/gtk/ansi_map_stat.c
   M /trunk/gtk/bootp_stat.c
   M /trunk/gtk/conversations_eth.c
   M /trunk/gtk/conversations_fc.c
   M /trunk/gtk/conversations_fddi.c
   M /trunk/gtk/conversations_ip.c
   M /trunk/gtk/conversations_ipx.c
   M /trunk/gtk/conversations_sctp.c
   M /trunk/gtk/conversations_tcpip.c
   M /trunk/gtk/conversations_tr.c
   M /trunk/gtk/conversations_udpip.c
   M /trunk/gtk/conversations_wlan.c
   M /trunk/gtk/dcerpc_stat.c
   M /trunk/gtk/fc_stat.c
   M /trunk/gtk/gsm_a_stat.c
   M /trunk/gtk/gsm_map_stat.c
   M /trunk/gtk/h225_counter.c
   M /trunk/gtk/h225_ras_srt.c
   M /trunk/gtk/hostlist_eth.c
   M /trunk/gtk/hostlist_fc.c
   M /trunk/gtk/hostlist_fddi.c
   M /trunk/gtk/hostlist_ip.c
   M /trunk/gtk/hostlist_ipx.c
   M /trunk/gtk/hostlist_tcpip.c
   M /trunk/gtk/hostlist_tr.c
   M /trunk/gtk/hostlist_udpip.c
   M /trunk/gtk/hostlist_wlan.c
   M /trunk/gtk/http_stat.c
   M /trunk/gtk/io_stat.c
   M /trunk/gtk/isup_stat.c
   M /trunk/gtk/ldap_stat.c
   M /trunk/gtk/main.c
   M /trunk/gtk/mgcp_stat.c
   M /trunk/gtk/mtp3_stat.c
   M /trunk/gtk/rpc_progs.c
   M /trunk/gtk/rpc_stat.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/rtp_stream.c
   M /trunk/gtk/sctp_chunk_stat.c
   M /trunk/gtk/sctp_stat.c
   M /trunk/gtk/sip_stat.c
   M /trunk/gtk/smb_stat.c
   M /trunk/gtk/stats_tree_stat.c
   M /trunk/gtk/voip_calls_dlg.c
   M /trunk/gtk/wsp_stat.c
   M /trunk/register.h
   M /trunk/tap-ansi_astat.c
   M /trunk/tap-bootpstat.c
   M /trunk/tap-dcerpcstat.c
   M /trunk/tap-gsm_astat.c
   M /trunk/tap-h225counter.c
   M /trunk/tap-h225rassrt.c
   M /trunk/tap-httpstat.c
   M /trunk/tap-iostat.c
   M /trunk/tap-iousers.c
   M /trunk/tap-mgcpstat.c
   M /trunk/tap-protocolinfo.c
   M /trunk/tap-protohierstat.c
   M /trunk/tap-rpcprogs.c
   M /trunk/tap-rpcstat.c
   M /trunk/tap-sctpchunkstat.c
   M /trunk/tap-sipstat.c
   M /trunk/tap-smbsids.c
   M /trunk/tap-smbstat.c
   M /trunk/tap-stats_tree.c
   M /trunk/tap-wspstat.c
   M /trunk/tethereal.c

Rename "register_ethereal_tap()" to "register_tap_listener_cmd_arg()" as
it's used to register a callback for a tap listener invoked if the
specified command line argument is specified to the "-z" flag.

Move it, along with routines to:

	look up a "-z" argument in the table constructed by
	"register_tap_listener_cmd_arg()" and either save the full
	argument to "-z" and the corresponding listener if it's found or
	return a failure indication if it isn't;

	list the available tap listeners;

	call the "init" routines for the tap listeners saved in the
	table above;

and have Ethereal and Tethereal use those routines.

------------------------------------------------------------------------
r13992 | guy | 2005-04-01 02:47:42 -0600 (Fri, 01 Apr 2005) | 2 lines
Changed paths:
   M /trunk/doc/README.tapping

Edits, update to current "all GTK+ stuff is common" state.

------------------------------------------------------------------------
r13991 | guy | 2005-03-31 23:45:08 -0600 (Thu, 31 Mar 2005) | 4 lines
Changed paths:
   M /trunk/gtk/main.c
   M /trunk/tethereal.c

Don't assume only one "-z" argument will be given on the command line;
add information for each tap to a list, and set up all the taps in the
list.

------------------------------------------------------------------------
r13990 | guy | 2005-03-31 22:19:28 -0600 (Thu, 31 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-igmp.c

Give the RFC number for IGMPv3.

------------------------------------------------------------------------
r13989 | guy | 2005-03-31 17:48:08 -0600 (Thu, 31 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Fix a couple of "proto_tree_add_text()" calls to pass the right arguments.

------------------------------------------------------------------------
r13988 | guy | 2005-03-31 16:04:59 -0600 (Thu, 31 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dsi.c

Add a link to a more recent Apple page describing DSI.

------------------------------------------------------------------------
r13987 | etxrab | 2005-03-31 12:51:14 -0600 (Thu, 31 Mar 2005) | 2 lines
Changed paths:
   M /trunk/asn1/camel/packet-camel-template.c

Included packet-gsm_map.h and removed unpack_digits as it now is exported from gsm_map, as it isn't used
yet no need to regenerate the dissector now.
------------------------------------------------------------------------
r13986 | etxrab | 2005-03-31 12:41:44 -0600 (Thu, 31 Mar 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h

 From Jacques, Olivier: Length of digit_str wrongly calculated.
 
 Free the string, fix dissection of some elements.

------------------------------------------------------------------------
r13985 | etxrab | 2005-03-31 12:39:45 -0600 (Thu, 31 Mar 2005) | 3 lines
Changed paths:
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c
   M /trunk/asn1/gsmmap/packet-gsm_map-template.h

From Jacques, Olivier: Length of digit_str wrongly calculated.

Free the string, fix dissection of some elements.
------------------------------------------------------------------------
r13984 | etxrab | 2005-03-31 12:34:25 -0600 (Thu, 31 Mar 2005) | 3 lines
Changed paths:
   M /trunk/asn1/gsmmap/gsmmap.cnf

From Jacques, Olivier: Length of digit_str wrongly calculated.

Free the string, fix dissection of some elements.
------------------------------------------------------------------------
r13983 | guy | 2005-03-31 01:59:43 -0600 (Thu, 31 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wlancap.c

http://www.shaftnet.org/~pizza/software/capturefrm.txt is currently not
available; add an archive.org URL for it.

------------------------------------------------------------------------
r13982 | etxrab | 2005-03-30 22:50:48 -0600 (Wed, 30 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-uma.c

Further IE dissection updates.
------------------------------------------------------------------------
r13981 | etxrab | 2005-03-30 13:10:26 -0600 (Wed, 30 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h

Small bug fix
------------------------------------------------------------------------
r13980 | etxrab | 2005-03-30 13:09:48 -0600 (Wed, 30 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Improve some debug messages.
------------------------------------------------------------------------
r13979 | etxrab | 2005-03-30 13:08:39 -0600 (Wed, 30 Mar 2005) | 1 line
Changed paths:
   M /trunk/asn1/gsmmap/GSMMAP.asn
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c

Update and small bugfix
------------------------------------------------------------------------
r13978 | tuexen | 2005-03-30 10:16:07 -0600 (Wed, 30 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c

Fix the handling of the length parameter in the DATA chunk.
This is a quick fix. A systematic follows...

------------------------------------------------------------------------
r13977 | etxrab | 2005-03-30 07:37:27 -0600 (Wed, 30 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sdp.c

From Ulf Lamping:
Fix a "off by one" error.
------------------------------------------------------------------------
r13976 | sahlberg | 2005-03-30 03:18:25 -0600 (Wed, 30 Mar 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

From Tim
small bugfix for packet-ber.c if packet is malformed, prevent dereferenceing a null pointer


------------------------------------------------------------------------
r13975 | guy | 2005-03-29 19:06:12 -0600 (Tue, 29 Mar 2005) | 7 lines
Changed paths:
   M /trunk/doc/tethereal.pod

Make it a bit clearer that what "-w" writes is raw binary packet data,
not the result of dissecting that data.

Note that "-F" applies to the output of "-w", that "-S" says "dissect
and print even if you're doing '-w'", and that "-T" applies to the
dissected output, not the "-w" output.

------------------------------------------------------------------------
r13974 | gerald | 2005-03-29 16:23:09 -0600 (Tue, 29 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

Add a tvb_ensure_bytes_exist() and fix a few other offset-related bugs.

------------------------------------------------------------------------
r13973 | etxrab | 2005-03-29 14:58:03 -0600 (Tue, 29 Mar 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sdp.c

From Martin Mathieson:
- bump up SDP_MAX_PAYLOAD_TYPES to 20 (I have an mgcp capture where a media
gateway responded with 12 media types, resulting in a crash).  Probably more
care needs to be taken while parsing the list of media types though...

------------------------------------------------------------------------
r13972 | etxrab | 2005-03-29 14:56:42 -0600 (Tue, 29 Mar 2005) | 10 lines
Changed paths:
   M /trunk/plugins/mgcp/packet-mgcp.c

From Martin Mathieson :

- allow dissector to show "MGCP/SDP" in the Protocol column, at least when
the 'Display the number of MGCP messages' preference is switched off
- when displaying the command verb, show in the tree the full verb name as
well as the 4-letter code
- show the links to response and request messages as being [generated]
- fixed some indentation problems


------------------------------------------------------------------------
r13971 | gerald | 2005-03-29 13:52:04 -0600 (Tue, 29 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/proto.c

Remove a g_assert() left over from debugging.

------------------------------------------------------------------------
r13970 | gerald | 2005-03-29 10:11:11 -0600 (Tue, 29 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.h

Use an offset of 0 in PER_NOT_DECODED_YET() so that we don't generate a
dissector bug error.

------------------------------------------------------------------------
r13969 | gerald | 2005-03-29 10:02:02 -0600 (Tue, 29 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/proto.c

Fix a compiler warning.

------------------------------------------------------------------------
r13968 | gerald | 2005-03-29 09:38:11 -0600 (Tue, 29 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Add a tvb_ensure_bytes_exist().

------------------------------------------------------------------------
r13967 | gerald | 2005-03-29 08:56:09 -0600 (Tue, 29 Mar 2005) | 12 lines
Changed paths:
   M /trunk/asn1/MAP_Dialogue/packet-MAP-DialoguePDU-template.c
   M /trunk/epan/dissectors/packet-MAP_DialoguePDU.c
   M /trunk/epan/dissectors/packet-ccsds.c
   M /trunk/epan/dissectors/packet-dcom-sysact.c
   M /trunk/epan/dissectors/packet-fcdns.c
   M /trunk/epan/dissectors/packet-fcfzs.c
   M /trunk/epan/proto.c

README.developer says:

"PROTOABBREV     A name for the protocol for use in filter expressions;
                 it should contain only lower-case letters, digits, and
                 hyphens."

In proto_register_protocol(), generate a warning if PROTOABBREV contains
invalid characters.  Along with the list above, allow underscores and
periods.  Fix up whitespace.

Lower-case PROTOABBREV in several dissectors.

------------------------------------------------------------------------
r13966 | sahlberg | 2005-03-29 06:36:40 -0600 (Tue, 29 Mar 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ftam.c
   M /trunk/epan/dissectors/packet-ftam.h

from Sid
updates to FTAM


------------------------------------------------------------------------
r13965 | sahlberg | 2005-03-29 06:27:13 -0600 (Tue, 29 Mar 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-acse.c

from Sid 
bugfix for ACSE


------------------------------------------------------------------------
r13964 | sahlberg | 2005-03-29 04:58:08 -0600 (Tue, 29 Mar 2005) | 4 lines
Changed paths:
   M /trunk/gtk/rtp_analysis.c

from Lars Ruoff
rtp analysis optimization


------------------------------------------------------------------------
r13963 | gerald | 2005-03-28 16:35:35 -0600 (Mon, 28 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mip6.c

Add a tvb_ensure_bytes_exist().

------------------------------------------------------------------------
r13962 | ulfl | 2005-03-28 15:35:21 -0600 (Mon, 28 Mar 2005) | 1 line
Changed paths:
   M /trunk/capture.c
   M /trunk/capture_sync.c

some minor changes
------------------------------------------------------------------------
r13961 | ulfl | 2005-03-28 15:05:53 -0600 (Mon, 28 Mar 2005) | 1 line
Changed paths:
   M /trunk/capture.c
   M /trunk/capture_opts.c
   M /trunk/capture_sync.c
   M /trunk/file.c
   M /trunk/gtk/main.c

bugfixes: bring non real-time captures back to former behaviour, other minor fixes
------------------------------------------------------------------------
r13960 | ashokn | 2005-03-28 13:32:39 -0600 (Mon, 28 Mar 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c


Minor change to Call-ID dissector to set up object line.


------------------------------------------------------------------------
r13959 | gerald | 2005-03-28 13:19:19 -0600 (Mon, 28 Mar 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtp.c

Pass a NULL instead of an empty string in the value_string/true_false_string
field of hf_rtp_payload_type.  This should fix the "values output" test failures
in the FreeBSD builder.

------------------------------------------------------------------------
r13958 | ulfl | 2005-03-28 12:08:31 -0600 (Mon, 28 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/proto.c

bugfix: don't call tvb_length_remaining() if tvb is NULL
but what to do instead?
------------------------------------------------------------------------
r13957 | ulfl | 2005-03-28 12:04:09 -0600 (Mon, 28 Mar 2005) | 1 line
Changed paths:
   M /trunk/capture.c
   M /trunk/capture.h
   M /trunk/capture_loop.c
   M /trunk/capture_sync.h
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_if_dlg.c
   M /trunk/gtk/capture_info_dlg.c
   M /trunk/gtk/main.c

various (minor) capture code cleanup
------------------------------------------------------------------------
r13956 | ulfl | 2005-03-28 10:14:34 -0600 (Mon, 28 Mar 2005) | 3 lines
Changed paths:
   M /trunk/capture.c
   M /trunk/capture.h
   M /trunk/capture_loop.c
   M /trunk/capture_opts.c
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/main.c

fix Solaris build (I've removed O_BINARY)

rename sync_mode to real_time_mode, as we using sync_mode all the time now, so the name is misleading
------------------------------------------------------------------------
r13955 | gerald | 2005-03-28 09:55:47 -0600 (Mon, 28 Mar 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim.c
   M /trunk/epan/tvbuff.c

In tvb_get_string(), throw an exception if our length is less than zero.

Add a message block length check to the AIM dissector.

------------------------------------------------------------------------
r13954 | ulfl | 2005-03-28 09:31:13 -0600 (Mon, 28 Mar 2005) | 1 line
Changed paths:
   M /trunk/capture.c
   M /trunk/capture.h
   M /trunk/capture_loop.c
   M /trunk/capture_opts.c
   M /trunk/capture_sync.c
   M /trunk/gtk/capture_info_dlg.c
   M /trunk/gtk/main.c

remove capture_child flag from capture_opts as it's no longer required
------------------------------------------------------------------------
r13953 | ulfl | 2005-03-28 08:39:31 -0600 (Mon, 28 Mar 2005) | 6 lines
Changed paths:
   M /trunk/capture.c
   M /trunk/capture.h
   M /trunk/capture_loop.c
   M /trunk/capture_opts.c
   M /trunk/capture_sync.c
   M /trunk/file.c
   M /trunk/file.h

a lot more capture engine code cleanup

most notably:

- moved opening of safe_file to the capture child (capture_loop.c)
- removed save_file_fd from capture_opts (no longer need to have it global)
------------------------------------------------------------------------
r13952 | guy | 2005-03-27 21:08:29 -0600 (Sun, 27 Mar 2005) | 4 lines
Changed paths:
   M /trunk/capture_opts.c

The "cf" field of a "capture_options" structure is a "void *" and, in
practice, it points to a "capture_file" structure; print it with "%p",
not "%s".

------------------------------------------------------------------------
r13951 | guy | 2005-03-27 20:53:49 -0600 (Sun, 27 Mar 2005) | 7 lines
Changed paths:
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-camel.h
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h

The "application_context_version" variables in the CAMEL and GSM MAP
dissectors aren't needed outside the dissectors, and having more than
one of them exported causes build problems, at least on OS X - make them
static.

Fix indentation.

------------------------------------------------------------------------
r13950 | gerald | 2005-03-27 20:03:45 -0600 (Sun, 27 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-slowprotocols.c

Make hf_oampdu_info_state_parser "BASE_HEX" instead of "8", so that we don't 
throw an assertion in hfinfo_uint_vals_format().

------------------------------------------------------------------------
r13949 | ulfl | 2005-03-27 18:19:02 -0600 (Sun, 27 Mar 2005) | 3 lines
Changed paths:
   M /trunk/capture.c
   M /trunk/capture_loop.c
   M /trunk/capture_opts.c
   M /trunk/capture_sync.c
   M /trunk/gtk/main.c
   M /trunk/ringbuffer.c
   M /trunk/ringbuffer.h

major capture engine rework: use two task model for EVERY capture mode

rework of the -b command line parameter (for Ethereal and Tethereal)
------------------------------------------------------------------------
r13948 | sahlberg | 2005-03-27 16:56:32 -0600 (Sun, 27 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-skinny.c

make skinny compile again


------------------------------------------------------------------------
r13947 | etxrab | 2005-03-27 16:11:09 -0600 (Sun, 27 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rtp.c

Fix a typo
------------------------------------------------------------------------
r13946 | etxrab | 2005-03-27 15:53:28 -0600 (Sun, 27 Mar 2005) | 1 line
Changed paths:
   M /trunk/AUTHORS

Add Jacques, Olivier as the Camel dissector author.
------------------------------------------------------------------------
r13945 | etxrab | 2005-03-27 15:44:26 -0600 (Sun, 27 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-camel.c
   A /trunk/epan/dissectors/packet-camel.h

From Jacques, Olivier:
Camel dissector
------------------------------------------------------------------------
r13944 | etxrab | 2005-03-27 15:40:27 -0600 (Sun, 27 Mar 2005) | 1 line
Changed paths:
   M /trunk/asn1/camel/packet-camel-template.c

Get rid of an unused variabnle
------------------------------------------------------------------------
r13943 | etxrab | 2005-03-27 15:39:38 -0600 (Sun, 27 Mar 2005) | 5 lines
Changed paths:
   M /trunk/tools/asn2eth.py

From Jacques, Olivier:
The patch attached fixes it by creating a table of unique files at the
time of file deletion. This way, current asn2eth behaviour is not
modified.
 
------------------------------------------------------------------------
r13942 | etxrab | 2005-03-27 15:37:05 -0600 (Sun, 27 Mar 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtp.c

 From  Alejandro Vaquero :
 Find attached a patch for SDP sessions to:
 - Dissect Dynamic payload types in RTP packets
 - Add the dynamic payload type description in RTP packets
 - Add RTP dynamic payload types description in the Voip Calls Graph, in the RTP and SDP.

------------------------------------------------------------------------
r13941 | etxrab | 2005-03-27 15:14:48 -0600 (Sun, 27 Mar 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtp.h

Previous commit failed doing them one by one.
 From  Alejandro Vaquero :
 Find attached a patch for SDP sessions to:
 - Dissect Dynamic payload types in RTP packets
 - Add the dynamic payload type description in RTP packets
 - Add RTP dynamic payload types description in the Voip Calls Graph, in the RTP and SDP.

------------------------------------------------------------------------
r13940 | etxrab | 2005-03-27 15:14:15 -0600 (Sun, 27 Mar 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtsp.c
   M /trunk/epan/dissectors/packet-sdp.c
   M /trunk/epan/dissectors/packet-skinny.c

Previous commit failed doing them one by one.
 From  Alejandro Vaquero :
 Find attached a patch for SDP sessions to:
 - Dissect Dynamic payload types in RTP packets
 - Add the dynamic payload type description in RTP packets
 - Add RTP dynamic payload types description in the Voip Calls Graph, in the RTP and SDP.

------------------------------------------------------------------------
r13939 | etxrab | 2005-03-27 15:12:39 -0600 (Sun, 27 Mar 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtp-events.c

Previous commit failed doing them one by one.
 From  Alejandro Vaquero :
 Find attached a patch for SDP sessions to:
 - Dissect Dynamic payload types in RTP packets
 - Add the dynamic payload type description in RTP packets
 - Add RTP dynamic payload types description in the Voip Calls Graph, in the RTP and SDP.

------------------------------------------------------------------------
r13938 | etxrab | 2005-03-27 15:11:48 -0600 (Sun, 27 Mar 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-h245.c

Previous commit failed doing them one by one.
 From  Alejandro Vaquero :
 Find attached a patch for SDP sessions to:
 - Dissect Dynamic payload types in RTP packets
 - Add the dynamic payload type description in RTP packets
 - Add RTP dynamic payload types description in the Voip Calls Graph, in the RTP and SDP.

------------------------------------------------------------------------
r13937 | etxrab | 2005-03-27 15:01:21 -0600 (Sun, 27 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-amr.c

Use the new table for dynamic payload types.
------------------------------------------------------------------------
r13936 | etxrab | 2005-03-27 14:55:14 -0600 (Sun, 27 Mar 2005) | 6 lines
Changed paths:
   M /trunk/epan/libethereal.def

From  Alejandro Vaquero :
Find attached a patch for SDP sessions to:
- Dissect Dynamic payload types in RTP packets
- Add the dynamic payload type description in RTP packets
- Add RTP dynamic payload types description in the Voip Calls Graph, in the RTP and SDP.

------------------------------------------------------------------------
r13935 | etxrab | 2005-03-27 14:54:18 -0600 (Sun, 27 Mar 2005) | 6 lines
Changed paths:
   M /trunk/gtk/voip_calls.c
   M /trunk/gtk/voip_calls.h

From  Alejandro Vaquero :
Find attached a patch for SDP sessions to:
- Dissect Dynamic payload types in RTP packets
- Add the dynamic payload type description in RTP packets
- Add RTP dynamic payload types description in the Voip Calls Graph, in the RTP and SDP.

------------------------------------------------------------------------
r13934 | etxrab | 2005-03-27 14:53:15 -0600 (Sun, 27 Mar 2005) | 6 lines
Changed paths:
   M /trunk/asn1/h245/h245.cnf

From  Alejandro Vaquero :
Find attached a patch for SDP sessions to:
- Dissect Dynamic payload types in RTP packets
- Add the dynamic payload type description in RTP packets
- Add RTP dynamic payload types description in the Voip Calls Graph, in the RTP and SDP.

------------------------------------------------------------------------
r13933 | ulfl | 2005-03-27 06:28:03 -0600 (Sun, 27 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sna.c

buildbot bugfix: add another tvb_ensure_bytes_exist()
------------------------------------------------------------------------
r13932 | ulfl | 2005-03-27 04:53:14 -0600 (Sun, 27 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

buildbot bugfix: add another tvb_ensure_bytes_exist()
------------------------------------------------------------------------
r13931 | gerald | 2005-03-26 22:43:49 -0600 (Sat, 26 Mar 2005) | 2 lines
Changed paths:
   M /trunk/randpkt.c

Add SCTP and MEGACO types, so that we can add SCTP to the "random" test.

------------------------------------------------------------------------
r13930 | ulfl | 2005-03-26 20:40:05 -0600 (Sat, 26 Mar 2005) | 5 lines
Changed paths:
   M /trunk/plugins/agentx/packet-agentx.c

bugfix of a bug causing tethereal value output to fail:

value_string's must be terminated with { 0, NULL }!!!

...seems I've missed one place in my last commit!
------------------------------------------------------------------------
r13929 | ulfl | 2005-03-26 20:19:51 -0600 (Sat, 26 Mar 2005) | 3 lines
Changed paths:
   M /trunk/color_filters.c
   M /trunk/color_filters.h
   M /trunk/gtk/main.c
   M /trunk/gtk/menu.c
   M /trunk/gtk/recent.c
   M /trunk/gtk/recent.h

add a new checkitem "Colorize Packet List" into the View menu

keep it's setting in the recent file
------------------------------------------------------------------------
r13928 | ulfl | 2005-03-26 19:18:06 -0600 (Sat, 26 Mar 2005) | 3 lines
Changed paths:
   M /trunk/plugins/agentx/packet-agentx.c

bugfix of a bug causing tethereal value output to fail:

value_string's must be terminated with { 0, NULL }!!!
------------------------------------------------------------------------
r13927 | ulfl | 2005-03-26 19:02:29 -0600 (Sat, 26 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

buildbot bugfix: add another tvb_ensure_bytes_exist (tvb,offset,length);

------------------------------------------------------------------------
r13926 | guy | 2005-03-26 17:31:35 -0600 (Sat, 26 Mar 2005) | 4 lines
Changed paths:
   M /trunk/doc/README.developer

Add a note about doing checks before subtracting, for example, the
length of a fixed-length header from the length of the item with that
fixed-length header.

------------------------------------------------------------------------
r13925 | gerald | 2005-03-26 17:02:24 -0600 (Sat, 26 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-vines.c

Make sure we have enough bytes in our tvbuff to dissect our header.

------------------------------------------------------------------------
r13924 | guy | 2005-03-26 15:31:13 -0600 (Sat, 26 Mar 2005) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c

Update the URL for draft-stewart-sctp-pktdrprep to the -02 draft.

Clean up indentation.

Have the main loop for dissecting chunks check that the chunk size is
large enough for the chunk header, and have it pass the chunk size,
minus the size of the chunk header, to dissectors for particular chunk
types.  Make those dissectors check that value to make sure it's large
enough for any fixed-length portion before subtracting the length of
that portion and using the result as a remaining data length.

------------------------------------------------------------------------
r13923 | etxrab | 2005-03-26 13:55:46 -0600 (Sat, 26 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-uma.c

Fix some typos + decode more IE stuff
------------------------------------------------------------------------
r13922 | etxrab | 2005-03-26 13:09:05 -0600 (Sat, 26 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a.c

Fix a bug reported by Soi Hon Lo octet 6x and 7 not read from tvb.
------------------------------------------------------------------------
r13921 | ulfl | 2005-03-26 06:10:58 -0600 (Sat, 26 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

buildbot bugfix: another (un-)signed problem and a problem with the offset (fixed by calling tvb_ensure...)
------------------------------------------------------------------------
r13920 | ulfl | 2005-03-26 05:32:43 -0600 (Sat, 26 Mar 2005) | 1 line
Changed paths:
   M /trunk/color_filters.c
   M /trunk/color_filters.h
   M /trunk/file.c

move some color_filter related things from file.c to color_filters.c
------------------------------------------------------------------------
r13919 | guy | 2005-03-26 04:48:38 -0600 (Sat, 26 Mar 2005) | 3 lines
Changed paths:
   M /trunk/plugins/xml/Makefile.nmake

Add rules to build xml_lexer.c, and to remove it with "make distclean",
modeled after the rules in epan/dfilter/Makefile.nmake.

------------------------------------------------------------------------
r13918 | guy | 2005-03-25 22:04:37 -0600 (Fri, 25 Mar 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

With the recent change that makes the length field for FT_PROTOCOL and
FT_NONE be, in effect, unsigned, it's no longer necessary to check for a
so-large-it-doesn't-fit-in-a-signed-value length for items of those types.

------------------------------------------------------------------------
r13917 | guy | 2005-03-25 21:56:54 -0600 (Fri, 25 Mar 2005) | 17 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcp.c

Get rid of boilerplate.

Use "tvb_ensure_bytes_exist()" to check for some invalid lengths.

Add some comments about possible problems in the code.

Get rid of an unnecessary length check (the length is the sum of a small
constant and a value extracted from a single byte, so the sum won't
overflow).

For a FCP_RSP, make the top-level protocol tree item run to the end of
the tvbuff and then set its length when we finish dissecting it (if we
throw an exception and don't get around to setting the length, that
means that we hit the end of the tvbuff before we hit the end of the
item).  Add some checks to catch too-large length fields.


------------------------------------------------------------------------
r13916 | guy | 2005-03-25 21:34:58 -0600 (Fri, 25 Mar 2005) | 3 lines
Changed paths:
   M /trunk/plugins/xml

Add xml_lexer.c to the list of files to ignore, as it's a generated
file.

------------------------------------------------------------------------
r13915 | guy | 2005-03-25 21:30:08 -0600 (Fri, 25 Mar 2005) | 4 lines
Changed paths:
   D /trunk/plugins/xml/xml_lexer.c

xml_lexer.c is generated by Flex; we don't put files generated by Flex
into the SVN tree, we just put the files from which they're generated
into the SVN tree.

------------------------------------------------------------------------
r13914 | guy | 2005-03-25 21:27:46 -0600 (Fri, 25 Mar 2005) | 4 lines
Changed paths:
   M /trunk/color_filters.c

There's no need to create a directory just because you're about to
remove a file in it - the directory presumably exists already, if you're
about to remove a file in it.

------------------------------------------------------------------------
r13913 | guy | 2005-03-25 21:27:22 -0600 (Fri, 25 Mar 2005) | 6 lines
Changed paths:
   M /trunk/epan/proto.c

For protocol tree items of type FT_NONE and FT_PROTOCOL, treat negative
length values (other than -1) as very large positive values, and for
values larger than the amount of data remaining in the tvbuff, clip the
value to the length of the tvbuff, so that dissectors don't have to
worry about doing that clipping themselves.

------------------------------------------------------------------------
r13912 | ulfl | 2005-03-25 21:03:43 -0600 (Fri, 25 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

buildbot bugfix: if a length value is below zero, trim it to zero
------------------------------------------------------------------------
r13911 | ulfl | 2005-03-25 19:23:39 -0600 (Fri, 25 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c

buildbot bugfix: another (un-)signed one
------------------------------------------------------------------------
r13910 | ulfl | 2005-03-25 19:09:14 -0600 (Fri, 25 Mar 2005) | 1 line
Changed paths:
   M /trunk/color_filters.c
   M /trunk/color_filters.h
   M /trunk/file.c
   M /trunk/gtk/color_dlg.c
   M /trunk/gtk/file_dlg.c
   M /trunk/gtk/main.c

code cleanup: use common prefix for all functions in color_filters.h
------------------------------------------------------------------------
r13909 | guy | 2005-03-25 19:05:29 -0600 (Fri, 25 Mar 2005) | 6 lines
Changed paths:
   M /trunk/gtk/main.c
   M /trunk/gtk/recent.c
   M /trunk/gtk/recent.h

Create the directory for the preferences files before writing out the
"recent" file.

Have "write_recent()" handle putting up error windows for failed
attempts to write the "recent" file.

------------------------------------------------------------------------
r13908 | guy | 2005-03-25 18:15:19 -0600 (Fri, 25 Mar 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

Add some length checks to the CHAP dissector.

Use %u, not %d, to display unsigned values.

------------------------------------------------------------------------
r13907 | ulfl | 2005-03-25 17:44:49 -0600 (Fri, 25 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pres.c

buildbot bugfix: yet another (un-)signed problem.

Guy, you may have a look to add some "invalid" message to the tree in this case
------------------------------------------------------------------------
r13906 | ulfl | 2005-03-25 17:12:07 -0600 (Fri, 25 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

buildbot bugfix: and again, a guint16 will never become lower than zero
------------------------------------------------------------------------
r13905 | ulfl | 2005-03-25 16:52:45 -0600 (Fri, 25 Mar 2005) | 3 lines
Changed paths:
   M /trunk/color_filters.c
   M /trunk/color_filters.h
   M /trunk/file.c
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/cfilter_combo_utils.c
   M /trunk/gtk/color_dlg.c
   M /trunk/gtk/main.c

code cleanup: the term filter_list was used with different meanings throughout the code, and the filter_list of the color_filters is "global".

use appropriate prefixes to avoid confusion and bugs
------------------------------------------------------------------------
r13904 | sahlberg | 2005-03-25 16:37:58 -0600 (Fri, 25 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-jxta.c

jxta updates


------------------------------------------------------------------------
r13903 | sahlberg | 2005-03-25 16:27:37 -0600 (Fri, 25 Mar 2005) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-dcerpc-samr.c

updates to SAMR
from Michael richardson


------------------------------------------------------------------------
r13902 | ulfl | 2005-03-25 15:19:18 -0600 (Fri, 25 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ipsec.c

bugfix: prevent a negative length, if ah.ah_len is zero
------------------------------------------------------------------------
r13901 | guy | 2005-03-25 14:12:27 -0600 (Fri, 25 Mar 2005) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

For the Bandwidth Allocation Protocol Phone Delta option:

	the length of a suboption must be at least 2;

	the length of the Unique Digit option must be 3, and its name is
	"Unique Digit", not "Uniq Digit";

	the length of the other suboptions must be at least 3.

------------------------------------------------------------------------
r13900 | guy | 2005-03-25 13:52:51 -0600 (Fri, 25 Mar 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

In the cases fixed by the two previous fixes, check to make sure the
items don't run past the length left in the option, and, if they do, put
an indication into the protocol tree that they did.

The length returned by "tvb_strsize()" includes the terminating null
character.

------------------------------------------------------------------------
r13899 | gerald | 2005-03-25 13:44:09 -0600 (Fri, 25 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcp.c

Add checks to make sure the packet length hasn't overflowed in a couple of
places.

------------------------------------------------------------------------
r13898 | ulfl | 2005-03-25 11:24:48 -0600 (Fri, 25 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

bugfix: similar problem than the previous one fixed by Gerald
------------------------------------------------------------------------
r13897 | gerald | 2005-03-25 11:04:00 -0600 (Fri, 25 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

Keep the length value from rolling over in CBCP.  Add a comment asking if
there's a better way to do this.

------------------------------------------------------------------------
r13896 | gerald | 2005-03-24 15:17:08 -0600 (Thu, 24 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kink.c

Add a few more payload length checks.

------------------------------------------------------------------------
r13895 | etxrab | 2005-03-24 08:21:30 -0600 (Thu, 24 Mar 2005) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

From Jacques Olivier:
Here is a patch that:
* packet-ber.c:
- Fixes handling tags longer than one octet (in
"packet-ber.c:get_ber_identifier") which consists of replacing "if (t &
0x80) break;" by "if (!(t & 0x80)) break;"
- Add debug info on the identifier when debug is enabled (I don't know if we want to keep this, but I find it useful)
- printf's a warning when packet-ber hits a constructed type (to remind that we eventually have to handle this)
- Add the display of unknown BER octet strings (this one was already submitted along with the initial Camel dissector but didn't got
included)

------------------------------------------------------------------------
r13894 | etxrab | 2005-03-24 08:19:24 -0600 (Thu, 24 Mar 2005) | 1 line
Changed paths:
   M /trunk/asn1/camel/packet-camel-template.c

From  Jacques  Olivier add some OID:s
------------------------------------------------------------------------
r13893 | ulfl | 2005-03-24 02:55:23 -0600 (Thu, 24 Mar 2005) | 1 line
Changed paths:
   M /trunk/gtk/capture_dlg.c

make it possible to use multiple capture files with "duration based switching" only
------------------------------------------------------------------------
r13892 | guy | 2005-03-23 23:27:03 -0600 (Wed, 23 Mar 2005) | 5 lines
Changed paths:
   M /trunk/epan/dfilter/scanner.l

The "new" routine for STTYPE_STRING and STTYPE_UNPARSED does a
"strdup()" on the argument, so we don't need to do that ourselves (and,
in fact, as we're doing it ourselves but not freeing the result, we leak
memory).

------------------------------------------------------------------------
r13891 | guy | 2005-03-23 22:44:33 -0600 (Wed, 23 Mar 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-x11.c

Keep a list of all the x11_conv_data_t structures, so that when we're
freeing our data structures, we can go through all those structures and
free up the hash tables associated with them, rather than just leaking
them.

------------------------------------------------------------------------
r13890 | guy | 2005-03-23 21:58:38 -0600 (Wed, 23 Mar 2005) | 4 lines
Changed paths:
   M /trunk/gtk/color_dlg.c
   M /trunk/gtk/filter_dlg.c

GtkStyles are reference-counted, and a style returned by
"gtk_style_copy()" has a reference count of 1; release the reference
when we're finished setting other widgets' styles to it.

------------------------------------------------------------------------
r13889 | guy | 2005-03-23 21:10:31 -0600 (Wed, 23 Mar 2005) | 2 lines
Changed paths:
   M /trunk/disabled_protos.c
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/prefs.c

Plug some more small leaks.

------------------------------------------------------------------------
r13888 | guy | 2005-03-23 16:49:32 -0600 (Wed, 23 Mar 2005) | 2 lines
Changed paths:
   M /trunk/gtk/main.c

Plug a small leak found by the "leaks" tool on OS X.

------------------------------------------------------------------------
r13887 | guy | 2005-03-23 16:30:37 -0600 (Wed, 23 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

The correlation ID is a 32-bit integer, not a string.

------------------------------------------------------------------------
r13886 | guy | 2005-03-23 15:42:40 -0600 (Wed, 23 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

The DNS name data starts at the beginning of the suboption data, not the
beginning of the suboption.

------------------------------------------------------------------------
r13885 | etxrab | 2005-03-23 15:38:05 -0600 (Wed, 23 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-uma.c

Some more IE stuff and added some ref:s
------------------------------------------------------------------------
r13884 | guy | 2005-03-23 15:22:18 -0600 (Wed, 23 Mar 2005) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

When checking whether suboption data fits within the option, check
whether the suboption data offset plus the suboption data length is >,
not >=, the end of the option data - the end of the option data is the
first byte *after* the option data.

For CableLabs string suboptions, use the right offset when fetching the
data.

------------------------------------------------------------------------
r13883 | guy | 2005-03-23 14:25:29 -0600 (Wed, 23 Mar 2005) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-atm.c

From Anton Ivanov: add support for Frame Relay over ATM.

------------------------------------------------------------------------
r13882 | gerald | 2005-03-23 10:23:30 -0600 (Wed, 23 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/libethereal.def

Add "cleanup_dissection".

------------------------------------------------------------------------
r13881 | guy | 2005-03-23 06:58:59 -0600 (Wed, 23 Mar 2005) | 8 lines
Changed paths:
   M /trunk/epan/packet.c
   M /trunk/epan/packet.h
   M /trunk/file.c

Add a "cleanup_dissection()" routine, intended to free up data
structures allocated by a dissection.  Currently, it's the same as
"init_dissection()", but they should be split with "init_dissection()"
allocating the initial data structures and "cleanup_dissection()"
freeing them and *not* reallocating the initial data structures.

Use "cleanup_dissection()" in "cf_close()" to make it easier to find leaks.

------------------------------------------------------------------------
r13880 | etxrab | 2005-03-23 06:57:09 -0600 (Wed, 23 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-uma.c

Let packet-gsm_a.c dissect L3 messages.
------------------------------------------------------------------------
r13879 | guy | 2005-03-23 03:47:11 -0600 (Wed, 23 Mar 2005) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-lmp.c

Audit for TLV loops that don't check the length to make sure it's large
enough, and fix them - and handle the already-fixed case similarly (note
that the length is bogus, and break out of the loop).

Put object header items into the protocol tree in the order in which
they appear in the packet.

For unknown subobjects, make the "Data (N bytes)" item cover only the
data, not the header (which is already covered).

Fix the offset in some calls.

------------------------------------------------------------------------
r13878 | ulfl | 2005-03-23 03:08:36 -0600 (Wed, 23 Mar 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-lmp.c

buildbot reported bug fixed: prevent an endless loop

But what's the right way to do instead? Just inserted a return, this should do no harm.

Could someone with more knowledge of this dissector review this change?

------------------------------------------------------------------------
r13877 | ulfl | 2005-03-23 02:38:47 -0600 (Wed, 23 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-slowprotocols.c

hf_oampdu_info_state_parser seems to be an uint8 not bool, as it can contain 4 values
------------------------------------------------------------------------
r13876 | guy | 2005-03-22 21:51:38 -0600 (Tue, 22 Mar 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wsp.c

"tvb_get_stringz()" and "abs_time_to_str()" don't return null pointers,
so don't check whether they've done so with "DISSECTOR_ASSERT()". 
("proto_item_set_string()" and friends already do so.)

Fix indentation.

------------------------------------------------------------------------
r13875 | guy | 2005-03-22 20:48:47 -0600 (Tue, 22 Mar 2005) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

Thou shalt not g_assert() in a dissector.

------------------------------------------------------------------------
r13874 | guy | 2005-03-22 20:39:21 -0600 (Tue, 22 Mar 2005) | 3 lines
Changed paths:
   M /trunk/doc/README.developer

Remind people not to use "g_ntoh[ls]()" or "g_hton[ls]()" to convert
big-endian to little-endian - that doesn't work on big-endian machines.

------------------------------------------------------------------------
r13873 | guy | 2005-03-22 19:55:11 -0600 (Tue, 22 Mar 2005) | 3 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/capture-wpcap.c
   M /trunk/config.nmake

It doesn't matter whether, when building with WinPcap, we have
pcap_lib_version() in the WinPcap on the system on which we're building.

------------------------------------------------------------------------
r13872 | guy | 2005-03-22 19:25:01 -0600 (Tue, 22 Mar 2005) | 8 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/acinclude.m4
   M /trunk/capture-wpcap.c
   M /trunk/capture_loop.c
   M /trunk/config.nmake
   M /trunk/tethereal.c

If we have "pcap_freecode()", use it to free the instructions for a BPF
filter after installing the filter.

Set HAVE_PCAP_LIB_VERSION if we're building with WinPcap 3.1; it's not
present in earlier versions, but is present in current 3.1 betas.

Check HAVE_PCAP_LIB_VERSION when building capture-wpcap.c.

------------------------------------------------------------------------
r13871 | ulfl | 2005-03-22 18:09:12 -0600 (Tue, 22 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/conversation.c
   M /trunk/epan/proto.c
   M /trunk/epan/reassemble.c

use DISSECTOR_ASSERT instead of g_assert
------------------------------------------------------------------------
r13870 | ulfl | 2005-03-22 17:59:54 -0600 (Tue, 22 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/proto.h

add a DISSECTOR_ASSERT_NOT_REACHED() macro
------------------------------------------------------------------------
r13869 | obiot | 2005-03-22 16:27:14 -0600 (Tue, 22 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wsp.c

As suggested by Ulf Lamping, prevent Ethereal from bailing out if there's a protocol error, as we now have a DISSECTOR_ASSERT() macro.

------------------------------------------------------------------------
r13868 | ulfl | 2005-03-22 15:47:11 -0600 (Tue, 22 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wsp.c

bugfix for buildbot randpkt: don't call proto_tree_add_string with a NULL pointer

TO THE DISSECTOR DEVELOPERS, PLEASE FIX THIS: I could easily found several places where a g_assert is called, depending on the input packet data. NEVER DO THIS, as this crashes Ethereal simply by invalid packet data input!!!
------------------------------------------------------------------------
r13867 | ulfl | 2005-03-22 15:39:37 -0600 (Tue, 22 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/ftypes/ftype-string.c

replace another g_assert by DISSECTOR_ASSERT, so Ethereal won't crash if a dissector triggers that assert
------------------------------------------------------------------------
r13866 | etxrab | 2005-03-22 15:33:53 -0600 (Tue, 22 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-uma.c

More IE dissection
------------------------------------------------------------------------
r13865 | jmayer | 2005-03-22 10:02:09 -0600 (Tue, 22 Mar 2005) | 1 line
Changed paths:
   M /trunk/plugins/xml/xml_lexer.l

Remove trailing ';'
------------------------------------------------------------------------
r13864 | etxrab | 2005-03-22 09:41:40 -0600 (Tue, 22 Mar 2005) | 1 line
Changed paths:
   A /trunk/asn1/camel/Makefile
   A /trunk/asn1/camel/Makefile.nmake
   A /trunk/asn1/camel/camel.asn
   A /trunk/asn1/camel/camel.cnf
   A /trunk/asn1/camel/packet-camel-template.c
   A /trunk/asn1/camel/packet-camel-template.h

Initial checkin of a camel dissector.
------------------------------------------------------------------------
r13863 | etxrab | 2005-03-22 09:40:58 -0600 (Tue, 22 Mar 2005) | 1 line
Changed paths:
   A /trunk/asn1/camel

Initial checkin of a camel dissector.
------------------------------------------------------------------------
r13862 | etxrab | 2005-03-22 09:36:33 -0600 (Tue, 22 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h263.c

Dissect part of the payload.
------------------------------------------------------------------------
r13861 | etxrab | 2005-03-22 09:34:51 -0600 (Tue, 22 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/libethereal.def

Export q850_cause_code_vals
------------------------------------------------------------------------
r13860 | etxrab | 2005-03-22 09:33:50 -0600 (Tue, 22 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-etheric.c
   M /trunk/epan/dissectors/packet-isup.c
   M /trunk/epan/dissectors/packet-isup.h

Export  q850_cause_code_vals as its's used by other dissector(s)
------------------------------------------------------------------------
r13859 | etxrab | 2005-03-22 09:19:53 -0600 (Tue, 22 Mar 2005) | 1 line
Changed paths:
   M /trunk/gtk/sctp_chunk_stat_dlg.c

ERROR seems to be a reserved word  change it to SCTP_ERROR to be able to build.
------------------------------------------------------------------------
r13858 | tuexen | 2005-03-22 04:25:07 -0600 (Tue, 22 Mar 2005) | 3 lines
Changed paths:
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/sctp_assoc_analyse.c
   M /trunk/gtk/sctp_byte_graph_dlg.c
   A /trunk/gtk/sctp_chunk_stat_dlg.c
   M /trunk/gtk/sctp_graph_dlg.c
   M /trunk/gtk/sctp_stat.c
   M /trunk/gtk/sctp_stat.h
   M /trunk/gtk/sctp_stat_dlg.c

From Irene Ruengeler: Bugfixes and support of chunk statistics per end point.
Some cleanups of the code.

------------------------------------------------------------------------
r13857 | lego | 2005-03-21 16:23:17 -0600 (Mon, 21 Mar 2005) | 3 lines
Changed paths:
   M /trunk/doc/README.tapping

Hint in README.tapping about the stats_tree.


------------------------------------------------------------------------
r13856 | lego | 2005-03-21 15:48:10 -0600 (Mon, 21 Mar 2005) | 3 lines
Changed paths:
   A /trunk/doc/README.stats_tree

 Something is better than nothing, Sooner is better than later.


------------------------------------------------------------------------
r13855 | etxrab | 2005-03-21 15:15:42 -0600 (Mon, 21 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-uma.c

Updates according to  R1.0.3 (2005-02-26) and decode some more IE:s
------------------------------------------------------------------------
r13854 | sahlberg | 2005-03-21 14:52:08 -0600 (Mon, 21 Mar 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-q933.c

from Hannes Gredler
update for q933
(and changes to move variable declarations to the start of a block since normal c compilers can not handle declarations in the middle of a block)



------------------------------------------------------------------------
r13853 | ulfl | 2005-03-21 14:01:35 -0600 (Mon, 21 Mar 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kink.c

two bugfixes (reported by buildbot randpkt):

don't use the return value of gmtime, if it's NULL

prevent from an endless loop, if payload_length is 0
------------------------------------------------------------------------
r13852 | lego | 2005-03-21 11:51:07 -0600 (Mon, 21 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/libethereal.def
   M /trunk/epan/stats_tree.c
   M /trunk/epan/stats_tree.h
   M /trunk/epan/stats_tree_priv.h
   M /trunk/plugins/stats_tree/http_stats_tree.c
   M /trunk/plugins/stats_tree/pinfo_stats_tree.c

Fix the names that were not consistent after the rename.


------------------------------------------------------------------------
r13851 | lego | 2005-03-21 09:40:33 -0600 (Mon, 21 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/stats_tree.c
   M /trunk/epan/stats_tree.h
   M /trunk/epan/stats_tree_priv.h
   M /trunk/plugins/stats_tree/http_stats_tree.c
   M /trunk/plugins/stats_tree/pinfo_stats_tree.c

Add a cleanup call-back to the stats_tree.


------------------------------------------------------------------------
r13850 | sahlberg | 2005-03-21 04:52:57 -0600 (Mon, 21 Mar 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-kerberos.h
   M /trunk/epan/dissectors/packet-spnego.c

make ethereal decrypt gss-krb (secure ldap and ms signandseal for dce)
also when linked with mit kerberos




------------------------------------------------------------------------
r13849 | sahlberg | 2005-03-21 04:07:55 -0600 (Mon, 21 Mar 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-kerberos.h
   M /trunk/epan/dissectors/packet-spnego.c

remove some heimdal dependencies we dont really need
and prepare for gssapi mit support


------------------------------------------------------------------------
r13848 | ulfl | 2005-03-21 03:56:55 -0600 (Mon, 21 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/libethereal.def

add capture_fr and stats_tree_branch_max_namelen
------------------------------------------------------------------------
r13847 | ulfl | 2005-03-21 03:46:39 -0600 (Mon, 21 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/libethereal.def

fix stats_tree defs
------------------------------------------------------------------------
r13846 | guy | 2005-03-20 22:06:45 -0600 (Sun, 20 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/stats_tree.h

Declare "stats_tree_create_pivot_node()" and
"create_pivot_node_with_parent_name()".

------------------------------------------------------------------------
r13845 | guy | 2005-03-20 21:55:50 -0600 (Sun, 20 Mar 2005) | 2 lines
Changed paths:
   M /trunk/capture_loop.c
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-fr.c
   A /trunk/epan/dissectors/packet-fr.h
   M /trunk/epan/dissectors/packet-llc.c
   M /trunk/epan/dissectors/packet-llc.h

Add a capture_fr() routine when capturing on Frame Relay.

------------------------------------------------------------------------
r13844 | guy | 2005-03-20 20:00:14 -0600 (Sun, 20 Mar 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

The table containing payload types and payload dissectors are now sparse
tables that are searched rather than dense tables that are indexed, so
there's no reason to tread payload types 130 and 131 specially.

------------------------------------------------------------------------
r13843 | lego | 2005-03-20 19:32:26 -0600 (Sun, 20 Mar 2005) | 2 lines
Changed paths:
   M /trunk/plugins/stats_tree/pinfo_stats_tree.c

This one is not in the makefiles (it's an example of stats_tree not realy a feature), make sure it works nontheless

------------------------------------------------------------------------
r13842 | guy | 2005-03-20 19:24:19 -0600 (Sun, 20 Mar 2005) | 10 lines
Changed paths:
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/rtp_stream_dlg.c

From Lars Ruoff:

	when formatting numerical values for CSV lists, save the locale
	before formatting, set the locale to the "C" locale, and then
	restore the locale, so that numbers are always formatted with
	"." as the decimal point;

	add to the RTP streams window a Copy button that copies all data
	from the CList to the clipboard as CSV.

------------------------------------------------------------------------
r13841 | lego | 2005-03-20 19:22:23 -0600 (Sun, 20 Mar 2005) | 3 lines
Changed paths:
   M /trunk/plugins/stats_tree/http_stats_tree.c

This one was missing from the last commit


------------------------------------------------------------------------
r13840 | lego | 2005-03-20 18:55:04 -0600 (Sun, 20 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/libethereal.def
   M /trunk/epan/stats_tree.c
   M /trunk/epan/stats_tree.h
   M /trunk/epan/stats_tree_priv.h
   M /trunk/gtk/stats_tree_stat.c
   M /trunk/tap-stats_tree.c

Rename all stats_tree extern functions to start with stats_tree_


------------------------------------------------------------------------
r13839 | ulfl | 2005-03-20 18:54:13 -0600 (Sun, 20 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

bugfix (hopefully make buildbot happy again): don't call a function pointer, if it's NULL

However, handling of payload 130 and 131 at that place still seems to be bogus to me
------------------------------------------------------------------------
r13838 | guy | 2005-03-20 17:32:56 -0600 (Sun, 20 Mar 2005) | 2 lines
Changed paths:
   M /trunk/gtk/Makefile.common

Put the source file names in alphabetical order.

------------------------------------------------------------------------
r13837 | guy | 2005-03-20 17:28:36 -0600 (Sun, 20 Mar 2005) | 2 lines
Changed paths:
   M /trunk/gtk/stats_tree_stat.c

Fix the expansion of the top-level nodes in GTK+ 1.2[.x].

------------------------------------------------------------------------
r13836 | ulfl | 2005-03-20 17:26:19 -0600 (Sun, 20 Mar 2005) | 1 line
Changed paths:
   M /trunk/gtk/sctp_chunk_stat.c

fix some typos, capitalization and don't put two SCTP entries in the Statistics menu
------------------------------------------------------------------------
r13835 | guy | 2005-03-20 16:24:51 -0600 (Sun, 20 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

Fix some offsets.

------------------------------------------------------------------------
r13834 | guy | 2005-03-20 15:52:11 -0600 (Sun, 20 Mar 2005) | 16 lines
Changed paths:
   M /trunk/plugins/agentx/packet-agentx.c

From Oleg Terletsky:

	get rid of a debugging printout;

	in "get_agentx_pdu_len()", fetch the payload length in the right
	byte order.

If the NETWORK_BYTE_ORDER flag isn't set, that means "little-endian",
not "host byte order" - the host on which I'm typing this is big-endian!
That means that using the "g_hton[ls]()" macros on the result of
"tvb_get_ntoh[ls]()" won't give you little-endian values on a big-endian
host; just directly use "tvb_get_letoh[ls]()" to fetch little-endian
values.

Use "proto_tree_add_item()" whenever possible.

------------------------------------------------------------------------
r13833 | lego | 2005-03-20 15:48:11 -0600 (Sun, 20 Mar 2005) | 3 lines
Changed paths:
   M /trunk/gtk/stats_tree_stat.c

Expand the root nodes by default


------------------------------------------------------------------------
r13832 | tuexen | 2005-03-20 14:46:54 -0600 (Sun, 20 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.h

SCTP port numbers are 16 unsigned integers.

------------------------------------------------------------------------
r13831 | guy | 2005-03-20 14:27:51 -0600 (Sun, 20 Mar 2005) | 3 lines
Changed paths:
   M /trunk/gtk/stats_tree_stat.c

The GTK+ 2.x version doesn't automatically expand the root node; don't
do so in the GTK+ 1.2[.x] version.

------------------------------------------------------------------------
r13830 | guy | 2005-03-20 13:51:09 -0600 (Sun, 20 Mar 2005) | 2 lines
Changed paths:
   M /trunk/gtk/stats_tree_stat.c

Make columns in the GTK+ 1.2[.x] version auto-resizing.

------------------------------------------------------------------------
r13829 | guy | 2005-03-20 13:44:19 -0600 (Sun, 20 Mar 2005) | 2 lines
Changed paths:
   M /trunk/gtk/stats_tree_stat.c

Make the top-level node start out expanded in GTK+ 1.2[.x].

------------------------------------------------------------------------
r13828 | guy | 2005-03-20 13:29:22 -0600 (Sun, 20 Mar 2005) | 8 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/epan/dissectors/packet-spnego.c

Don't try to run net-snmp-config if we don't find it.

Check whether krb5.h defines KEYTYPE_ARCFOUR_56 - not all versions do
(in particular, the Heimdal that comes with FreeBSD 4.6 doesn't).

packet-kerberos.h includes krb5.h if we hae Heimdal; we don't need to do
so in packet-spnego.c.

------------------------------------------------------------------------
r13827 | guy | 2005-03-20 12:59:39 -0600 (Sun, 20 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.h

Put the ports and addresses into "struct _sctp_info", as the dissector
fills them in.

------------------------------------------------------------------------
r13826 | guy | 2005-03-20 12:58:11 -0600 (Sun, 20 Mar 2005) | 4 lines
Changed paths:
   M /trunk/gtk/Makefile.common

The commented-out entry for sctp_chunk_stat_dlg.c broke
automake/autoconf-based builds, as Makefile.common wasn't getting
included into Makefile.in - remove it.

------------------------------------------------------------------------
r13825 | ulfl | 2005-03-20 06:29:02 -0600 (Sun, 20 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/stats_tree.c

bugfix: don't access node elements, after calling free_stat_node
------------------------------------------------------------------------
r13824 | ulfl | 2005-03-20 06:07:00 -0600 (Sun, 20 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c
   M /trunk/epan/dissectors/packet-jxta.c

remove some MSVC warnings
------------------------------------------------------------------------
r13823 | tuexen | 2005-03-20 06:02:00 -0600 (Sun, 20 Mar 2005) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Makefile.common
   M /trunk/epan/dissectors/packet-sctp.c
   M /trunk/gtk/Makefile.common
   A /trunk/gtk/conversations_sctp.c
   A /trunk/gtk/sctp_chunk_stat.c
   M /trunk/tap-iousers.c
   A /trunk/tap-sctpchunkstat.c

From Oleg Terletsky: Support for SCTP chunk counters.  Modified to handle bundling correctly.

------------------------------------------------------------------------
r13822 | guy | 2005-03-20 05:39:14 -0600 (Sun, 20 Mar 2005) | 6 lines
Changed paths:
   M /trunk/gtk/stats_tree_stat.c

Do a GTK+ 1.2[.x] version.

Clean up indentation.

Put the members of the _stat_tree_columns enum in order by column number.

------------------------------------------------------------------------
r13821 | lego | 2005-03-20 05:12:21 -0600 (Sun, 20 Mar 2005) | 3 lines
Changed paths:
   M /trunk/gtk/stats_tree_stat.c

st->name was moved to st->cfg->name


------------------------------------------------------------------------
r13820 | guy | 2005-03-20 05:09:29 -0600 (Sun, 20 Mar 2005) | 5 lines
Changed paths:
   M /trunk/asn1/h225/h225.cnf
   M /trunk/epan/dissectors/packet-h225.c

Fix dissect_per_restricted_character_string() calls in h225.cnf to pass
0, not NULL, for the last argument.

Re-generate packet-h225.c with the fixed h225.cnf.

------------------------------------------------------------------------
r13819 | guy | 2005-03-20 04:57:39 -0600 (Sun, 20 Mar 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/tools/asn2eth.py

Fix asn2eth to pass 0, not NULL, for the last argument to
"dissect_per_restricted_character_string()", which is a guint32, not a
pointer.  Re-generate packet-h225.c with the fixed asn2eth.

------------------------------------------------------------------------
r13818 | guy | 2005-03-20 04:55:50 -0600 (Sun, 20 Mar 2005) | 4 lines
Changed paths:
   M /trunk/wiretap/ascend-grammar.y

"*p++" doesn't affect what "p" points to; it only affects "p" itself,
and is equivalent to just "p++".  If "p" isn't used after that, "*p++"
does nothing whatsoever, and can just be removed.

------------------------------------------------------------------------
r13817 | ulfl | 2005-03-19 18:49:57 -0600 (Sat, 19 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/libethereal.def

added two stats_tree functions
------------------------------------------------------------------------
r13816 | lego | 2005-03-19 18:19:15 -0600 (Sat, 19 Mar 2005) | 9 lines
Changed paths:
   M /trunk/epan/stats_tree.c
   M /trunk/epan/stats_tree_priv.h
   M /trunk/gtk/stats_tree_stat.c
   M /trunk/tap-stats_tree.c

There was a design flaw that caused a crash on windows and
left uninitialized successive copies of the stats tree.

Split the stats_tree data in two different structs one for data that's
always needed and it's not going to change at every run and another
for each run of the tap.



------------------------------------------------------------------------
r13815 | lego | 2005-03-19 18:07:07 -0600 (Sat, 19 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-http.c

Make sure the tap info is created even when tree==NULL


------------------------------------------------------------------------
r13814 | ulfl | 2005-03-19 13:06:08 -0600 (Sat, 19 Mar 2005) | 3 lines
Changed paths:
   M /trunk/gtk/http_stat.c
   M /trunk/plugins/stats_tree/http_stats_tree.c

Move request packets above (before) response ones, this seems to be more natural.

Use a single HTTP submenu instead of two menu items with an entry and a submenu
------------------------------------------------------------------------
r13813 | ulfl | 2005-03-19 12:16:39 -0600 (Sat, 19 Mar 2005) | 1 line
Changed paths:
   M /trunk/plugins/stats_tree/http_stats_tree.c

Fix capitalization of tree topics
------------------------------------------------------------------------
r13812 | ulfl | 2005-03-19 12:13:09 -0600 (Sat, 19 Mar 2005) | 1 line
Changed paths:
   M /trunk/gtk/stats_tree_stat.c

Use capitalized words for column headers
------------------------------------------------------------------------
r13811 | ulfl | 2005-03-19 12:11:44 -0600 (Sat, 19 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/prefs.c

Increase maximum number of characters for a preference/recent key, as the current window names in "recent" file reaches this value.
------------------------------------------------------------------------
r13810 | ulfl | 2005-03-19 10:43:30 -0600 (Sat, 19 Mar 2005) | 5 lines
Changed paths:
   M /trunk/gtk/stats_tree_stat.c

Add a "Close" button, as not everyone uses a window manager providing the 'X' to close a window.

In addition, this enables the ESC key to close the window

Slightly increase the initial window size
------------------------------------------------------------------------
r13809 | ulfl | 2005-03-19 10:36:23 -0600 (Sat, 19 Mar 2005) | 1 line
Changed paths:
   M /trunk/gtk/ui_util.c

make a duplicate of the window title to prevent problems if API user g_free's it's title before it was saved to the "recent" file.
------------------------------------------------------------------------
r13808 | sahlberg | 2005-03-19 08:30:05 -0600 (Sat, 19 Mar 2005) | 5 lines
Changed paths:
   A /trunk/epan/dissectors/dcerpc/atsvc
   A /trunk/epan/dissectors/dcerpc/atsvc/Makefile
   A /trunk/epan/dissectors/dcerpc/atsvc/atsvc.cnf
   A /trunk/epan/dissectors/dcerpc/atsvc/atsvc.idl
   A /trunk/epan/dissectors/dcerpc/atsvc/template.c
   A /trunk/epan/dissectors/dcerpc/atsvc/template.h
   M /trunk/epan/dissectors/dcerpc/idl2eth.c
   M /trunk/epan/dissectors/packet-dcerpc-atsvc.c
   M /trunk/epan/dissectors/packet-dcerpc-atsvc.h

make idl2eth handle 8bit bitmaps

make atsvc an autogenerated dcerpc dissector


------------------------------------------------------------------------
r13807 | sahlberg | 2005-03-19 04:01:34 -0600 (Sat, 19 Mar 2005) | 6 lines
Changed paths:
   M /trunk/file.c

from didier

small fix to file.c



------------------------------------------------------------------------
r13806 | sahlberg | 2005-03-19 03:11:56 -0600 (Sat, 19 Mar 2005) | 7 lines
Changed paths:
   A /trunk/epan/dissectors/dcerpc/efs
   A /trunk/epan/dissectors/dcerpc/efs/Makefile
   A /trunk/epan/dissectors/dcerpc/efs/efs.cnf
   A /trunk/epan/dissectors/dcerpc/efs/efs.idl
   A /trunk/epan/dissectors/dcerpc/efs/template.c
   A /trunk/epan/dissectors/dcerpc/efs/template.h
   M /trunk/epan/dissectors/dcerpc/idl2eth.c
   M /trunk/epan/dissectors/packet-dcerpc-efs.c
   M /trunk/epan/dissectors/packet-dcerpc-efs.h

bugfix to idl2eth : handle the case when pointers were not explicitely specified
and we have a pointer to an array of pointers

make the EFS dissector autogenerated by idl2eth



------------------------------------------------------------------------
r13805 | guy | 2005-03-18 18:03:00 -0600 (Fri, 18 Mar 2005) | 2 lines
Changed paths:
   M /trunk/README.win32

There's now a www.cygwin.com - use it in the URL for Cygwin.

------------------------------------------------------------------------
r13804 | sahlberg | 2005-03-18 14:35:53 -0600 (Fri, 18 Mar 2005) | 4 lines
Changed paths:
   M /trunk/wiretap/5views.c

from Thierry Martin
fix a bug in 5view reader due to an uninitialized variable


------------------------------------------------------------------------
r13803 | sahlberg | 2005-03-18 14:24:08 -0600 (Fri, 18 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kink.c

fix a string in the hf fields


------------------------------------------------------------------------
r13802 | tuexen | 2005-03-18 13:50:17 -0600 (Fri, 18 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-m3ua.c
   M /trunk/epan/dissectors/packet-sua.c

From Jeff Morris: Display PC structured.

------------------------------------------------------------------------
r13801 | ulfl | 2005-03-18 12:58:56 -0600 (Fri, 18 Mar 2005) | 1 line
Changed paths:
   M /trunk/packaging/nsis/ethereal.nsi

add the comment "The Ethereal Network Protocol Analyzer" to some shortcuts
------------------------------------------------------------------------
r13800 | tuexen | 2005-03-18 08:32:41 -0600 (Fri, 18 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sua.c

From Jeff Morris: display protocol class at parameter level.

------------------------------------------------------------------------
r13799 | sahlberg | 2005-03-18 03:03:36 -0600 (Fri, 18 Mar 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

from Ming Zhang
fix incorrect offset for a field in the READ ELEMENT STATUS cdb


------------------------------------------------------------------------
r13798 | sahlberg | 2005-03-18 02:51:12 -0600 (Fri, 18 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iscsi.c

only show the Status field in a DataIn PDU if the S bit is set.


------------------------------------------------------------------------
r13797 | gerald | 2005-03-17 18:23:16 -0600 (Thu, 17 Mar 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kink.c

Increase the width of some unsigned ints, so that we don't roll them over.
This fixes the crash file at
http://www.ethereal.com/distribution/buildbot-builds/randpkt/randpkt-udp.port==53,KINK.out.1111097410 .

Make the protocol name lower case.

------------------------------------------------------------------------
r13796 | etxrab | 2005-03-17 16:08:50 -0600 (Thu, 17 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_map.c

From Jeff Morriss: use the new range preference type.
------------------------------------------------------------------------
r13795 | etxrab | 2005-03-17 16:08:09 -0600 (Thu, 17 Mar 2005) | 2 lines
Changed paths:
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c

From Jeff Morriss: use the new range preference type.

------------------------------------------------------------------------
r13794 | guy | 2005-03-17 13:44:45 -0600 (Thu, 17 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_a.c

Use "format_text()" on strings fetched from packets.

------------------------------------------------------------------------
r13793 | gerald | 2005-03-17 12:32:36 -0600 (Thu, 17 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_a.c

Fix a couple of format string bugs discovered by Bryan Fulton.

------------------------------------------------------------------------
r13792 | gerald | 2005-03-17 10:06:20 -0600 (Thu, 17 Mar 2005) | 2 lines
Changed paths:
   M /trunk/randpkt.c

Insert "%s" at various points in an attempt to trigger format string bugs.

------------------------------------------------------------------------
r13791 | sahlberg | 2005-03-17 04:18:18 -0600 (Thu, 17 Mar 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iscsi.c

iscsi LUNs were reported incorrectly for SCSI Command PDUs when they were not matched with a response.

Read the LUN value into a local variable always and use that to pass to the scsi dissector since we can always use this value from the iscsi heade for COMMAND pdus   (but not data/in/out)



------------------------------------------------------------------------
r13790 | gerald | 2005-03-16 23:14:01 -0600 (Wed, 16 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tzsp.c

Use val_to_str instead of indexing a value_string directly.  This keeps us
from crashing when we encounter an invalid type value.

------------------------------------------------------------------------
r13789 | guy | 2005-03-16 23:09:42 -0600 (Wed, 16 Mar 2005) | 18 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/configure.in

Fix the display of help information for various --with arguments (for
whatever reason, the changequote() hack doesn't seem to be working, at
least on OS X; the square brackets were simply being removed from the
messages).

Rename the "ifpresent" value for the --with variables to "ifavailable",
to match the help messages.

At least for the SNMP libraries, have the "checking" message just say
"whether to use XXX" and have the result message say "yes, if available"
if the user didn't explicitly specify "--with" or "--without", as the
default just leaves the library out if it doesn't work, but explicitly
specifying "--with" means you get an error if it doesn't work.

Make "--with-net-snmp" fail if the headers aren't present (if the user
explicitly asks for something, we should fail if we can't give it to
them, as they presumably really wanted it).

------------------------------------------------------------------------
r13788 | tpot | 2005-03-16 20:27:26 -0600 (Wed, 16 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gssapi.c

Apply abartlet@samba.org's "raw NTLMSSP over GSS-SPNEGO" patch.

------------------------------------------------------------------------
r13787 | lroland | 2005-03-16 18:10:23 -0600 (Wed, 16 Mar 2005) | 4 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/plugins/Makefile.am
   D /trunk/plugins/README.interface
   D /trunk/plugins/Xass-list
   D /trunk/plugins/Xplugin_api.c
   D /trunk/plugins/Xplugin_api.h
   D /trunk/plugins/Xplugin_api_decls.h
   D /trunk/plugins/Xplugin_table.h
   D /trunk/plugins/plugin_api.c
   D /trunk/plugins/plugin_api.h
   D /trunk/plugins/plugin_api_decls.h
   D /trunk/plugins/plugin_api_defs.h
   D /trunk/plugins/plugin_api_list.c
   D /trunk/plugins/plugin_gen.py
   D /trunk/plugins/plugin_table.h

Clean up.

Remove obsolete plugin address table and related files.
Remove related targets from various makefiles.
------------------------------------------------------------------------
r13786 | guy | 2005-03-16 17:53:49 -0600 (Wed, 16 Mar 2005) | 9 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/configure.in

Capitalize "Net-SNMP" the way the Net-SNMP project capitalizes it.

Note that the "=PATH" argument to "--with-net-snmp" is optional.

If "--with-net-snmp" is specified, give an error if Net-SNMP is found
but "--with-ssl" wasn't specified, as the user has specified that they
really want a version of Ethereal with Net-SNMP; if it's not specified,
just warn of that and drive on, as we did before.

------------------------------------------------------------------------
r13785 | guy | 2005-03-16 17:49:12 -0600 (Wed, 16 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

Use 0, not NULL, for integer arguments; NULL might be defined as "(void *)0",
and that causes compiler warnings when it's passed as an integer argument.

------------------------------------------------------------------------
r13784 | gerald | 2005-03-16 17:25:11 -0600 (Wed, 16 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-manolito.c

Replace malloc()/free() with g_malloc()/g_free().

------------------------------------------------------------------------
r13783 | lroland | 2005-03-16 17:22:28 -0600 (Wed, 16 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/libethereal.def

Add subversion Id to libethereal.def
------------------------------------------------------------------------
r13782 | lroland | 2005-03-16 17:07:08 -0600 (Wed, 16 Mar 2005) | 4 lines
Changed paths:
   M /trunk/epan/plugins.c
   M /trunk/plugins/Makefile.nmake

Remove support for the old plugin api.
TODO: 
cleanup files in /trunk/plugins

------------------------------------------------------------------------
r13781 | etxrab | 2005-03-16 16:09:30 -0600 (Wed, 16 Mar 2005) | 1 line
Changed paths:
   M /trunk/tools/lemon/README

Add a comment about where lemon is maintained now.
------------------------------------------------------------------------
r13780 | guy | 2005-03-16 15:59:25 -0600 (Wed, 16 Mar 2005) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gssapi.c
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-spnego.c
   M /trunk/epan/packet_info.h

Have GSS-API subdissectors supply a "data is encrypted" flag to their
callers, so that they can tell "no decrypted tvbuff because I couldn't
decrypt it" from "no decrypted tvbuff because it's not encrypted in the
first place".  Set that based on the Kerberos seal algorithm field in
the SPNEGO Kerberos 5 wrap dissector code.

Use that to determine whether the GSS-API encapsulated data in LDAP is
encrypted or not., rather than using a heuristic.

Set the length of the SASL blob tvbuff based on the SASL length and the
length of the tvbuff from which it's consstructed, rather than setting
it to the SASL length.

------------------------------------------------------------------------
r13779 | guy | 2005-03-16 15:48:46 -0600 (Wed, 16 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-g723.c

Spell out "G.723".

------------------------------------------------------------------------
r13778 | guy | 2005-03-16 15:40:34 -0600 (Wed, 16 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c

Check whether we have a first byte before checking it.

------------------------------------------------------------------------
r13777 | guy | 2005-03-16 15:37:28 -0600 (Wed, 16 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-uma.c

Get rid of an unused variable.

------------------------------------------------------------------------
r13776 | etxrab | 2005-03-16 14:06:01 -0600 (Wed, 16 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h263.c

Dissect a bit of the payload to,  Picture start block and temporal ref.
------------------------------------------------------------------------
r13775 | guy | 2005-03-16 13:55:49 -0600 (Wed, 16 Mar 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtp.c

Fix some comments.

Use the same code to handle payload types in sessions set up by SDP and
sessions set up by other protocols, rather than duplicating that code.

------------------------------------------------------------------------
r13774 | guy | 2005-03-16 13:41:33 -0600 (Wed, 16 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

Get rid of some redundant tests that cause compiler warnings.

------------------------------------------------------------------------
r13773 | etxrab | 2005-03-16 13:30:39 -0600 (Wed, 16 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-uma.c

Dissect some more IE:s and bug fixes.
------------------------------------------------------------------------
r13772 | etxrab | 2005-03-16 13:25:13 -0600 (Wed, 16 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rtp.c

Try the pt_dissector table also if conversation has been set up with SDP.
------------------------------------------------------------------------
r13771 | guy | 2005-03-16 13:07:32 -0600 (Wed, 16 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-uma.c

Fix a typo in a comment, and get rid of some unused variables, to
squelch compiler warnings.

------------------------------------------------------------------------
r13770 | guy | 2005-03-16 12:53:28 -0600 (Wed, 16 Mar 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-manolito.c

Doing a g_assert() that can fail with data that could appear in a packet
is wrong; cast the "guint8" value to "guint" to widen it, so that adding
1 to it doesn't overflow.  (But I don't think that cast should be
necessary - the "usual arithmetic conversions" in C should widen the
value anyway.)

------------------------------------------------------------------------
r13769 | gerald | 2005-03-16 11:22:38 -0600 (Wed, 16 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mq.c

Fix a format string vulnerability discovered by Bryan Fulton.

------------------------------------------------------------------------
r13768 | gerald | 2005-03-16 10:44:06 -0600 (Wed, 16 Mar 2005) | 2 lines
Changed paths:
   M /trunk/randpkt.c

For UDP output, set the length to 65535 instead of 0.

------------------------------------------------------------------------
r13767 | jmayer | 2005-03-16 10:42:53 -0600 (Wed, 16 Mar 2005) | 1 line
Changed paths:
   M /trunk/manuf.tmpl

IEEE is correct about 00:00:39
------------------------------------------------------------------------
r13766 | sahlberg | 2005-03-16 07:39:55 -0600 (Wed, 16 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-manolito.c

close potential overflow causing malloc to allocate 0 bytes


------------------------------------------------------------------------
r13765 | sahlberg | 2005-03-16 06:47:29 -0600 (Wed, 16 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nlm.c

prettify nlm a bit


------------------------------------------------------------------------
r13764 | sahlberg | 2005-03-16 05:39:46 -0600 (Wed, 16 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/dcerpc/idl2eth.c

make idl2eth able to handle negative case tags


------------------------------------------------------------------------
r13763 | sahlberg | 2005-03-16 05:29:09 -0600 (Wed, 16 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/dcerpc/drsuapi/drsuapi.cnf
   M /trunk/epan/dissectors/dcerpc/drsuapi/drsuapi.idl
   M /trunk/epan/dissectors/dcerpc/idl2eth.c
   M /trunk/epan/dissectors/packet-dcerpc-drsuapi.c
   M /trunk/epan/dissectors/packet-dcerpc-drsuapi.h

decode some more of drsuapi


------------------------------------------------------------------------
r13762 | sahlberg | 2005-03-15 04:18:54 -0600 (Tue, 15 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-jxta.c

jxta updates from duigou


------------------------------------------------------------------------
r13761 | sahlberg | 2005-03-15 04:05:54 -0600 (Tue, 15 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

fix a compiler warning


------------------------------------------------------------------------
r13760 | sahlberg | 2005-03-15 03:58:58 -0600 (Tue, 15 Mar 2005) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-isakmp.c

ikev2 support   from Shoichi Sakane


------------------------------------------------------------------------
r13759 | sahlberg | 2005-03-15 03:36:18 -0600 (Tue, 15 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/dcerpc/drsuapi/drsuapi.idl
   M /trunk/epan/dissectors/dcerpc/idl2eth.c
   M /trunk/epan/dissectors/packet-dcerpc-drsuapi.c
   M /trunk/epan/dissectors/packet-dcerpc-drsuapi.h

more idl2eth and drsuapi updates


------------------------------------------------------------------------
r13758 | sahlberg | 2005-03-15 02:24:10 -0600 (Tue, 15 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/dcerpc/drsuapi/drsuapi.idl
   M /trunk/epan/dissectors/dcerpc/idl2eth.c
   M /trunk/epan/dissectors/packet-dcerpc-drsuapi.c

update to idl2eth adding WERROR as a built in type


------------------------------------------------------------------------
r13757 | guy | 2005-03-14 17:41:08 -0600 (Mon, 14 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/libethereal.def

Export another routine that's been asked for at least once.

------------------------------------------------------------------------
r13756 | etxrab | 2005-03-14 16:26:57 -0600 (Mon, 14 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-uma.c

Routines for Unlicensed Mobile Access(UMA) dissection ( http://www.umatechnology.org/ 
  UMA Protocols (Stage 3) R1.0.2 (2004-11-05) )
Work in progress.
------------------------------------------------------------------------
r13755 | sahlberg | 2005-03-14 14:51:13 -0600 (Mon, 14 Mar 2005) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/dcerpc/drsuapi/drsuapi.idl
   M /trunk/epan/dissectors/dcerpc/idl2eth.c
   M /trunk/epan/dissectors/packet-dcerpc-drsuapi.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dcerpc.h

a lot of people dont specify top level pointers in teh idl and just
cerlare it as a parameter that is a struct/union and not a ref pointer to one.

this is ok since toplevel ref pointers are invisible in the wire encoding anyway.

unfortunatelky  ethereal dce runtime needed to see that pointer to keep track of whisch one was a toplevel and which one wasnt.


implement a new api to call pointers which explicitely specifies whether the pointer is toplevel or embedded.
eventually all dce dissectors will use this new interface and the generic dissect_ndr_pointer() can be retired.



------------------------------------------------------------------------
r13754 | ulfl | 2005-03-14 14:46:46 -0600 (Mon, 14 Mar 2005) | 5 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/debian/README.debian
   M /trunk/debian/changelog
   M /trunk/debian/control
   M /trunk/debian/ethereal-common.files
   M /trunk/debian/ethereal-common.manpages
   M /trunk/debian/ethereal-dev.docs
   M /trunk/debian/ethereal-dev.files
   M /trunk/debian/ethereal-dev.header-files
   M /trunk/debian/ethereal-dev.manpages
   M /trunk/debian/ethereal-dev.postinst
   M /trunk/debian/ethereal-dev.prerm
   M /trunk/debian/ethereal.files
   M /trunk/debian/ethereal.manpages
   M /trunk/debian/ethereal.menu
   M /trunk/debian/rules
   M /trunk/debian/tethereal.files
   M /trunk/debian/tethereal.manpages

from Frederic Peters: bring debian package generation .deb up to date

I don't have the facility to test this, hopefully Frederic knows what he's doing :-) 

However, this was out of date since a long time ago, so can't get worse anyway...
------------------------------------------------------------------------
r13753 | guy | 2005-03-14 14:23:11 -0600 (Mon, 14 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Tagged integers have 4 bytes of data (1 byte of tag, 3 bytes of
integer), not 5 bytes.

------------------------------------------------------------------------
r13752 | guy | 2005-03-14 13:53:07 -0600 (Mon, 14 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cdp.c

Some VoIP VLAN query and reply fields have a length of 6, not 7, with
only 2 bytes of data; dissect those differently.

------------------------------------------------------------------------
r13751 | guy | 2005-03-14 05:12:00 -0600 (Mon, 14 Mar 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-q931.c

Combine the two switch statements on IE type into one; this cleans
things up a bit (so that if we go through one switch statement we don't
fall into the other).

------------------------------------------------------------------------
r13750 | guy | 2005-03-14 04:45:46 -0600 (Mon, 14 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Comment changes.

------------------------------------------------------------------------
r13749 | sahlberg | 2005-03-14 04:27:25 -0600 (Mon, 14 Mar 2005) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-kink.c

fix typo in name of KINK developer


------------------------------------------------------------------------
r13748 | sahlberg | 2005-03-14 03:49:58 -0600 (Mon, 14 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/dcerpc/drsuapi/drsuapi.idl
   M /trunk/epan/dissectors/dcerpc/idl2eth.c
   M /trunk/epan/dissectors/packet-dcerpc-drsuapi.c
   M /trunk/epan/dissectors/packet-dcerpc-drsuapi.h

updates for drsuapi


------------------------------------------------------------------------
r13747 | guy | 2005-03-13 21:08:38 -0600 (Sun, 13 Mar 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Don't cruft up the display of the bitmap with "Tag interpretation". 
(Perhaps we should just get rid of the "tag interpretation" field and,
instead, have explicit hf_ values for each of the fields and subfields.)

------------------------------------------------------------------------
r13746 | ulfl | 2005-03-13 18:53:58 -0600 (Sun, 13 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-vnc.c

Very first start of a dissection of the VNC (RFB) protocol.

This is not much more than the dissector skeleton code.
------------------------------------------------------------------------
r13745 | ulfl | 2005-03-13 18:43:39 -0600 (Sun, 13 Mar 2005) | 1 line
Changed paths:
   M /trunk/doc/README.developer

fix a bug and add a forward declaration in the example skeleton code
------------------------------------------------------------------------
r13744 | guy | 2005-03-13 15:42:51 -0600 (Sun, 13 Mar 2005) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sflow.c

Handle the packet headeer for sFlow V5, put in a stub dissector for V5
samples, and give the URL of the V5 spec and some hints about how to
handle the private enterprise code in those samples.

For subtrees that cover structures, make the tree cover the entire
structure, not just the first field.

Add the flow sample type and extended data type to the protocol tree.

Set the protocol column name to capitalize "sFlow" the conventional way,
and remove the redundant "sFlow" from the Info column.

------------------------------------------------------------------------
r13743 | guy | 2005-03-13 07:28:06 -0600 (Sun, 13 Mar 2005) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Don't attempt to get a pointer to the entire tagged field when
dissecting it; instead, fetch items from the tagged field as we go. 
Also, check the length of the tagged field against a minimum length, if
there is one.

When adding the SSID, just fetch it directly as a string, and leave it
up to the string display code to deal with non-printable characters.

When dissecting a tagged field, don't zero out the "out_buff" buffer
beforehand, just stick in the terminating '\0' afterwards.

------------------------------------------------------------------------
r13742 | jmayer | 2005-03-13 07:10:06 -0600 (Sun, 13 Mar 2005) | 2 lines
Changed paths:
   M /trunk/docbook

Update svn:ignore

------------------------------------------------------------------------
r13741 | guy | 2005-03-13 04:26:56 -0600 (Sun, 13 Mar 2005) | 3 lines
Changed paths:
   M /trunk/plugins/xml/packet-xml.c

Don't use the result of "format_text()" as a format string argument, as
it might contain %'s; instead, use "%s" as the format string.

------------------------------------------------------------------------
r13740 | guy | 2005-03-13 01:53:19 -0600 (Sun, 13 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-telnet.c

Get rid of extra semicolon - it might be giving MSVC++ heartburn.

------------------------------------------------------------------------
r13739 | gerald | 2005-03-12 23:48:43 -0600 (Sat, 12 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-telnet.c

Fix a check for the number of suboptions.

------------------------------------------------------------------------
r13738 | guy | 2005-03-12 18:49:33 -0600 (Sat, 12 Mar 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-http.c

Use the tokenizing routines to parse HTTP request and status lines.

Rename the RequestDissector type to ReqRespDissector as it's used to
dissect status (response) lines as well as request lines.

------------------------------------------------------------------------
r13737 | lego | 2005-03-12 15:36:24 -0600 (Sat, 12 Mar 2005) | 3 lines
Changed paths:
   M /trunk/gtk/main.c

From Graeme Hewson:
don't try to call register_all_plugin_tap_listeners() if configured without plugins.

------------------------------------------------------------------------
r13736 | sahlberg | 2005-03-12 15:01:38 -0600 (Sat, 12 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c

some auth padding update from metze


------------------------------------------------------------------------
r13735 | sahlberg | 2005-03-12 06:04:44 -0600 (Sat, 12 Mar 2005) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/dcerpc/drsuapi/drsuapi.cnf
   M /trunk/epan/dissectors/dcerpc/drsuapi/drsuapi.idl
   M /trunk/epan/dissectors/dcerpc/drsuapi/template.c
   M /trunk/epan/dissectors/dcerpc/idl2eth.c
   M /trunk/epan/dissectors/packet-dcerpc-drsuapi.c

the previous drsuapi patch showed how idl2eth can handle embedded arrays just fine.
beautifully fine.

this patch overrides the array,   tells idl2eth to not generate code to unmarshall the conformance blob or the data for the array.

a handwritted replacement function is implemented in the template instead which prettifies the output a lot.



------------------------------------------------------------------------
r13734 | ulfl | 2005-03-12 05:10:23 -0600 (Sat, 12 Mar 2005) | 1 line
Changed paths:
   M /trunk/docbook/Makefile

from Joerg Mayer: go towards "normal" makefile.
------------------------------------------------------------------------
r13733 | sahlberg | 2005-03-12 04:55:50 -0600 (Sat, 12 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/dcerpc/drsuapi/drsuapi.cnf
   M /trunk/epan/dissectors/dcerpc/drsuapi/drsuapi.idl
   M /trunk/epan/dissectors/dcerpc/drsuapi/template.c
   M /trunk/epan/dissectors/packet-dcerpc-drsuapi.c
   M /trunk/epan/dissectors/packet-dcerpc-drsuapi.h

refine IDL


------------------------------------------------------------------------
r13732 | ulfl | 2005-03-12 03:59:28 -0600 (Sat, 12 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.h
   M /trunk/epan/req_resp_hdrs.h

from Micheal Duigou: some more doxygen tags
------------------------------------------------------------------------
r13731 | jmayer | 2005-03-12 03:38:31 -0600 (Sat, 12 Mar 2005) | 4 lines
Changed paths:
   M /trunk/image/README.image
   A /trunk/image/elogo3d64x64.png

- Add 3d logo in size 64x64 (copied from Suse, who *may* have generated
  it from eicon3d64.xpm)
- Fix comment: The 3d logos seem to have a transparent background

------------------------------------------------------------------------
r13730 | sahlberg | 2005-03-12 03:24:54 -0600 (Sat, 12 Mar 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/dcerpc/idl2eth.c

fix small bug from previous checkin for fixed arrays


------------------------------------------------------------------------
r13729 | sahlberg | 2005-03-12 03:02:01 -0600 (Sat, 12 Mar 2005) | 7 lines
Changed paths:
   A /trunk/epan/dissectors/dcerpc/drsuapi
   A /trunk/epan/dissectors/dcerpc/drsuapi/Makefile
   A /trunk/epan/dissectors/dcerpc/drsuapi/drsuapi.cnf
   A /trunk/epan/dissectors/dcerpc/drsuapi/drsuapi.idl
   A /trunk/epan/dissectors/dcerpc/drsuapi/template.c
   A /trunk/epan/dissectors/dcerpc/drsuapi/template.h
   M /trunk/epan/dissectors/dcerpc/idl2eth.c
   M /trunk/epan/dissectors/packet-dcerpc-drsuapi.c
   M /trunk/epan/dissectors/packet-dcerpc-drsuapi.h

initial DRSUAPI dissector 
now that we can decrypt DCERPC

the dissection is not complete since idl2eth can not yet handle
all the weird extensions in the idl file yet.


------------------------------------------------------------------------
r13728 | jmayer | 2005-03-12 01:37:14 -0600 (Sat, 12 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/packet.h

warning: function declaration isn't a prototype
------------------------------------------------------------------------
r13727 | guy | 2005-03-11 20:16:28 -0600 (Fri, 11 Mar 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

We don't have a TODO file any more; it's on the Wiki.

------------------------------------------------------------------------
r13726 | ulfl | 2005-03-11 17:14:33 -0600 (Fri, 11 Mar 2005) | 5 lines
Changed paths:
   D /trunk/TODO

removed TODO file, and moved it's content to:

http://wiki.ethereal.com/Development_2fWishlist

to have it all in one place
------------------------------------------------------------------------
r13725 | ulfl | 2005-03-11 15:14:38 -0600 (Fri, 11 Mar 2005) | 1 line
Changed paths:
   M /trunk/doc/README.developer
   M /trunk/epan/exceptions.h
   M /trunk/epan/packet.h
   M /trunk/epan/proto.h

from Micheal Duigou: add some doxygen tags and some changes to README.developer
------------------------------------------------------------------------
r13724 | ulfl | 2005-03-11 14:56:31 -0600 (Fri, 11 Mar 2005) | 1 line
Changed paths:
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/gtk/main.h
   M /trunk/gtk/menu.c
   M /trunk/gtk/print_dlg.c
   M /trunk/print.c
   M /trunk/print.h

from Stefano Pettini: add CSV export function, similar to PSML export
------------------------------------------------------------------------
r13723 | ulfl | 2005-03-11 12:57:12 -0600 (Fri, 11 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/libethereal.def

add missing dissector_dump_decodes function
------------------------------------------------------------------------
r13721 | gerald | 2005-03-11 10:17:41 -0600 (Fri, 11 Mar 2005) | 5 lines
Changed paths:
   M /trunk/clopts_common.c
   M /trunk/epan/packet.c
   M /trunk/epan/packet.h

Add a "-G decodes" option to ethereal and tethereal which shows the
filter/selector/protocol associations for each dissector.  This will be
used to improve our automated tests, but someone with time on their 
hands could probably use it to generate a protocol poster using Graphviz.

------------------------------------------------------------------------
r13720 | gerald | 2005-03-11 09:47:35 -0600 (Fri, 11 Mar 2005) | 2 lines
Changed paths:
   M /trunk/NEWS

Copy over more changes from the 0.10.10 release branch.

------------------------------------------------------------------------
r13718 | gerald | 2005-03-11 09:38:02 -0600 (Fri, 11 Mar 2005) | 2 lines
Changed paths:
   M /trunk/NEWS

Copy over from the 0.10.10 release branch.

------------------------------------------------------------------------
r13713 | guy | 2005-03-11 06:07:30 -0600 (Fri, 11 Mar 2005) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

From Vladimir Kondratiev:

	- Give each IE its own subtree, with a summary at the root, and
	  details within the tree.  It allows a condensed view when IE
	  trees are closed.

	- Display country info in multiple protocol tree items, with
	  each (start channel, channels, power) triplet in a separate
	  item.

	- Put a separate item into the protocol tree for each CFP
	  parameter.

------------------------------------------------------------------------
r13712 | guy | 2005-03-11 05:59:27 -0600 (Fri, 11 Mar 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sflow.c

Fix the offset for the system uptime field.

------------------------------------------------------------------------
r13711 | guy | 2005-03-11 05:46:48 -0600 (Fri, 11 Mar 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sflow.c

We don't have an SMDS dissector, and it's not clear what dissector
should be used for ATM, so just use the data dissector for now.

The X.25 dissector registers itself as "x.25", not "x25".

------------------------------------------------------------------------
r13710 | sahlberg | 2005-03-11 03:31:11 -0600 (Fri, 11 Mar 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gssapi.c
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-spnego.c
   M /trunk/epan/tap.c

from metze
various bugfixes and enhancements to decryption of secure ldap


------------------------------------------------------------------------
r13709 | guy | 2005-03-10 21:05:57 -0600 (Thu, 10 Mar 2005) | 7 lines
Changed paths:
   M /trunk/asn1/h245/h245.cnf
   M /trunk/epan/dissectors/packet-h245.c

From Alexandro Vaquero:

	fix the call to "rtp_add_address()" to match the new signature;

	fix a problem with the codec displayed in the "Voip Graph"
	for H245 "RequestMode" messages.

------------------------------------------------------------------------
r13708 | guy | 2005-03-10 20:01:17 -0600 (Thu, 10 Mar 2005) | 4 lines
Changed paths:
   M /trunk/doc/README.developer

Add one more reason to use "tvb_get_string()", as we've had a recent
vulnerability due to somebody fetching a string into a fixed-length
buffer.

------------------------------------------------------------------------
r13707 | guy | 2005-03-10 19:35:02 -0600 (Thu, 10 Mar 2005) | 14 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iapp.c

Just use "tvb_format_text()" to handle strings - don't roll our own
routine to handle that.
 
Don't format the value text into a buffer; just use
"proto_item_append_text()", so we don't run the risk of overflowing the
buffer.

Use "ip_to_str()" to format an IP address - don't roll our own code to
handle that.

Don't make "is_fhss" global - that causes its value to depend on the
last packet dissected, which isn't necessarily the right value for the
packet being dissected.

------------------------------------------------------------------------
r13706 | guy | 2005-03-10 19:15:35 -0600 (Thu, 10 Mar 2005) | 3 lines
Changed paths:
   M /trunk/gtk/voip_calls.c

Flag an unused argument as unused, to squelch compiler warnings, and
don't flag a used argument as unused.

------------------------------------------------------------------------
r13705 | jmayer | 2005-03-10 15:47:35 -0600 (Thu, 10 Mar 2005) | 3 lines
Changed paths:
   M /trunk/gtk/voip_calls.h

Warning fix: voip_calls_dlg.c:733: implicit declaration of function rtp_event_init_tap


------------------------------------------------------------------------
r13703 | gerald | 2005-03-10 15:41:24 -0600 (Thu, 10 Mar 2005) | 2 lines
Changed paths:
   M /trunk/plugins/plugin_api_list.c

Sync to recent changes in packet-rtp.h.

------------------------------------------------------------------------
r13701 | jmayer | 2005-03-10 15:04:34 -0600 (Thu, 10 Mar 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rtp-events.h

Warning fix: no newline at end of file
------------------------------------------------------------------------
r13697 | lego | 2005-03-10 13:32:22 -0600 (Thu, 10 Mar 2005) | 5 lines
Changed paths:
   M /trunk/asn1/h245/h245.cnf
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-rtp-events.c
   M /trunk/epan/dissectors/packet-rtp-events.h
   M /trunk/epan/dissectors/packet-rtp.c
   M /trunk/epan/dissectors/packet-rtp.h
   M /trunk/epan/dissectors/packet-rtsp.c
   M /trunk/epan/dissectors/packet-sdp.c
   M /trunk/epan/dissectors/packet-skinny.c
   M /trunk/gtk/voip_calls.c
   M /trunk/gtk/voip_calls.h
   M /trunk/gtk/voip_calls_dlg.c

From Alejandro Vaquero:
- Automatic dissection of RTP events (RFC2833) set in SDP sessions.
- Add RTP events (RFC2833) to the Voip Graph


------------------------------------------------------------------------
r13696 | lego | 2005-03-10 11:13:47 -0600 (Thu, 10 Mar 2005) | 4 lines
Changed paths:
   M /trunk/plugins/xml/packet-xml.c
   M /trunk/plugins/xml/packet-xml.h
   M /trunk/plugins/xml/xml_lexer.c
   M /trunk/plugins/xml/xml_lexer.l

An optimization.
 Instead of first running the lexer to create a list of items and then iterate through this items to create the tree, just create the tree from the lexer.


------------------------------------------------------------------------
r13694 | gerald | 2005-03-10 09:49:02 -0600 (Thu, 10 Mar 2005) | 2 lines
Changed paths:
   M /trunk/NEWS

More NEWS updates.

------------------------------------------------------------------------
r13693 | jmayer | 2005-03-10 08:04:35 -0600 (Thu, 10 Mar 2005) | 1 line
Changed paths:
   M /trunk/gtk/sctp_assoc_analyse.c

Warning fix: function declaration isn’t a prototype
------------------------------------------------------------------------
r13692 | jmayer | 2005-03-10 06:49:05 -0600 (Thu, 10 Mar 2005) | 1 line
Changed paths:
   M /trunk/gtk/sctp_byte_graph_dlg.c
   M /trunk/gtk/sctp_graph_dlg.c

Warning fix: ISO C forbids zero-size array ‘tsns
------------------------------------------------------------------------
r13691 | jmayer | 2005-03-10 06:43:35 -0600 (Thu, 10 Mar 2005) | 1 line
Changed paths:
   M /trunk/gtk/sctp_stat_dlg.c
   M /trunk/gtk/voip_calls_dlg.c

Trivial warning fixes
------------------------------------------------------------------------
r13690 | sahlberg | 2005-03-10 04:16:49 -0600 (Thu, 10 Mar 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-gssapi.c
   M /trunk/epan/dissectors/packet-gssapi.h
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-ntlmssp.c
   M /trunk/epan/dissectors/packet-spnego.c

add support to decrypt and dissect sign-and-sealed traffic.
(cifs: dc's talking to eachother   and when longhorn comes out: anyone wanting to talk dce to a dc!)

((this is an incredibly advanced feature well worthy of mentioning in NEWS))


------------------------------------------------------------------------
r13689 | sahlberg | 2005-03-10 02:52:59 -0600 (Thu, 10 Mar 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/packet_info.h

add two nice defines for how to decrypt a GSSKRB tvb

dce has slightly different padding and checksumming so we have to tell decrypt_arcfour() about it.



------------------------------------------------------------------------
r13688 | sahlberg | 2005-03-10 02:50:18 -0600 (Thu, 10 Mar 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dcerpc.h
   M /trunk/epan/dissectors/packet-ntlmssp.c

change the signature for the functions to decrypt data for the
dcerpc_auth_subdissector_fns structure.

the SignAndSeal decryption (which works really well) needs this.



------------------------------------------------------------------------
r13687 | lego | 2005-03-10 00:33:07 -0600 (Thu, 10 Mar 2005) | 3 lines
Changed paths:
   M /trunk/plugins/xml/xml_lexer.c

check in the newly generated lexer too


------------------------------------------------------------------------
r13686 | lego | 2005-03-10 00:32:06 -0600 (Thu, 10 Mar 2005) | 6 lines
Changed paths:
   M /trunk/plugins/xml/packet-xml.c
   M /trunk/plugins/xml/packet-xml.h
   M /trunk/plugins/xml/xml_lexer.l

- changed the lexer to return entire tags, refactored packet-xml.c for those changes
- add markup_declarations and indent on doctype's []
- removed debugging code
- renamed meta_tag into xmlpi


------------------------------------------------------------------------
r13685 | gerald | 2005-03-09 17:49:55 -0600 (Wed, 09 Mar 2005) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/NEWS
   M /trunk/config.nmake
   M /trunk/configure.in

Prep for 0.10.10: Update the ChangeLog and NEWS files, bump the version
number.

------------------------------------------------------------------------
